/**
 * Created by XIAOKANG on 2017/11/21.
 */
(function($){
    vm = new Vue({
        el: '.mui-content',
        data: {
            timesArr:[],
            weight:[],
            topVal:{},
            title:''

        },
        methods:{
            changeDataCenter:function(){//跳转到数据中心
  
                plus.statistic.eventTrig("hrefClimate",{});
                var item = {indexName: vm.title, variety: vm.topVal.varietyName, area: vm.topVal.areaName};
                pullfreshPage('../public/dataCenter-list-frame2.html','../public/dataCenter-list2.html','数据中心',{top:94,obj:item});

            }
        }
    });


    var setGrade = function () {
        var dom = document.getElementById("container");
        var myChart = echarts.init(dom);
        option = null;
        var date = vm.timesArr;
        var data = vm.weight;
        option = {
            tooltip: {
                trigger: 'axis',
                formatter: function (params) {
                    var item = params[0];
                    return vm.topVal.areaName+': ' + item.value
                        +'<br/>时间：'+ item.name;
                }
            },

            xAxis: {
                splitLine: {
                    show: true
                },
                axisTick: {
                    show: false
                },
                data: date
            },
            yAxis: {
                scale: true,
                axisTick: {
                    show: false
                }
            },


            series: [{
                type: 'line',
                data: data
            }]
        };
        ;
        if (option && typeof option === "object") {
            myChart.setOption(option, true);
        }
    };

    //获取日详情
    var getDetails = function (ver,sizeVal,area,variety) {
        http.post ( BASE_URL +'/prosperity/getProsperityLine',{
            version: ver,
            size: sizeVal,
            areaName: area,
            varietyName: variety
        },function (data) {
            if(data.code==200){
                console.log('获取日详情data::'+JSON.stringify(data.result));
                console.log('获取日详情data::'+data.result.length);
                for(var i= 0;i<data.result.length;i++){
                    vm.timesArr.push(data.result[i].time);
                    vm.weight.push(data.result[i].weight);
                }
//              console.log('vm.timesArr.....'+vm.timesArr)
            }

            return  setGrade();

        },10000); 

    };

    //获取周详情
    var getWeekDetails = function (ver,sizeVal,area,variety) {
        http.post ( BASE_URL +'/prosperity/getProsperityLineWeek',{
            version: ver,
            size: sizeVal,
            areaName: area,
            varietyName: variety
        },function (data) {
            if(data.code==200){
                console.log('获取周详情data::'+JSON.stringify(data.result));
                for(var i= 0;i<data.result.length;i++){
                    vm.timesArr.push(data.result[i].time);
                    vm.weight.push(data.result[i].weight);
                }
            }

            return  setGrade();

        },10000);

    };

    //获取月详情
    var getMonthDetails = function (ver,sizeVal,area,variety) {
        http.post ( BASE_URL +'/prosperity/getProsperityLineMonth',{
            version: ver,
            size: sizeVal,
            areaName: area,
            varietyName: variety
        },function (data) {
            if(data.code==200){
                console.log('获取月详情data::'+JSON.stringify(data.result));
                for(var i= 0;i<data.result.length;i++){
                    vm.timesArr.push(data.result[i].time);
                    vm.weight.push(data.result[i].weight);
                }
            }

            return  setGrade();

        },10000);

    };




    $.plusReady(function () {
//      setGrade();
        var versionVal = 'v'+plus.storage.getItem('version');
        var areaVal = plus.webview.currentWebview().areaName;
        var varietyVal = plus.webview.currentWebview().varietyName;
        vm.topVal = plus.webview.currentWebview().listOne;
        var types = plus.webview.currentWebview().types;
        vm.title = plus.webview.currentWebview().title;
        //console.log('versionVal:'+versionVal);
        //console.log('areaVal:'+areaVal);
        //console.log('varietyVal:'+varietyVal);
          console.log('topVal:'+JSON.stringify(vm.topVal));
        //console.log('types:'+types);
            if(types==1){
                getDetails(versionVal,'30',areaVal,varietyVal);
            }else if(types==2){
                getWeekDetails(versionVal,'30',areaVal,varietyVal);
            }else if(types==3){
                getMonthDetails(versionVal,'30',areaVal,varietyVal);
            }

    });

})(mui);