(function(global,mui){
	Vue.filter("toMath",function(num){
		var num = Number(num);
		return Math.abs(num);
	});
	vm = new Vue({
		el: '#app',
		data: {
			viewShow: false,
			version: '', 
			search: true,
			myData:{
				url: BASE_URL+this.version+'/newsflash/getNewsFlash',
				version: 'v'+this.version,
				key:'',
				start: 0,
				limit: 10
			},
			list:[], 
			quotedList:[],
			gridList:[],
			fixed: false,
			isShow: false,
			guess: null,
			lastDate: '',
			keyval:''
		},
		methods: {
			onPage: function (type,title,obj) {
				var pages = {view1:null,view2:null};
				var str = '';
				console.log(type);
				switch (type){
					case '4':  //报价地图
						str = 'clickMap';
						pages.view1 = '/templates/prod-price/price-map.html';
						break;
					case 'index':  //价格指数
						str = 'clickIndex';
						pages.view1 = '/templates/priceIndex/priceIndex-list.html';
						break;
					case 'weight':  //景气指数
						str = 'clickClimateIndex'; 
						pages.view1 = '/templates/boomIndex/boomIndex-list.html';
						break;
					case 'stock':  //库存指数
						str = 'clickAddStock';
						pages.view1 = '/templates/stock/stock-list.html';
						break;
					case '3':   //期货行情
						str = 'clickFutures';
						pages.view1 = '/templates/futuresMarket/futuresMarket.html';
						break;
					case '5':   //期现价差
						str = 'clickBasis';
						pages.view1 = '/templates/prod-price/difference-list-frame.html';
						pages.view2 = '/templates/prod-price/difference-list.html';
						break;
					case '8':   //区域价差
						str = 'clickAreaPriceDis';
						pages.view1 = '/templates/prod-price/region-list-frame.html';
						pages.view2 = '/templates/prod-price/region-list.html';
						break;
					case '10':   //成本指数
						str = 'clickCostIndex';
						pages.view1 = '/templates/prod-price/cost-info.html';
						break;
					case 'news'://快讯详情
						pages.view1 = '/templates/article/article-info.html';
						break;
					case '11'://钢厂调价
						pages.view1 = '/templates/steelMill/steelMill-frame.html';
						pages.view2 = '/templates/steelMill/steelMill-list.html';
						break;
					case '12'://我要报价
						pages.view1 = '/templates/offer/wantOffer-fa.html';
						pages.view2 = '/templates/offer/wantOffer.html';
						obj = {bottom:56};
						break;
					default:
						break;
				};
				
				if (str != '') {plus.statistic.eventTrig( str ,{"type":type});}
				
				if (pages.view2 && type != "12") {
					pullfreshPage(pages.view1, pages.view2,title, obj || {});
				}else if (pages.view1 && type != "12") {
					changePage(pages.view1,title, obj || {});
				}else if (pages.view1 && type == "12") {
					if (getState().token) {
                        pullfreshPage(pages.view1, pages.view2,title, obj || {});
					}else {
						mui.fire(plus.webview.getLaunchWebview(), 'show-signin');
					}
				}
			
				 
			},
		
			update: function (type) {
                
				plus.statistic.eventTrig("clickFastNewsSearch",{"type":"search"});
				this.search = type;
				this.myData.start = 0;
				this.myData.key=vm.keyval;
//				vm.list=[]
				this.lastDate = '';
				
				document.activeElement.blur();//收起虚拟键盘
		        event.preventDefault(); // 阻止默认事件---阻止页面刷新
//		        console.log("myData222.....:"+JSON.stringify(vm.myData))
				if(type){
					mui('#pullrefresh').pullRefresh().scrollTo(0,0,100)
                    scrollSearch(type);
				}else{
					mui('#pullrefresh').pullRefresh().pullupLoading();
                    scrollSearch(type);

				}
				
				
			},
			isSelect: function (type) {
				if (this.guess != null && !type) {
					pullfreshPage('../guessHistory/guess-history-list-frame.html','../guessHistory/guess-history-list.html','信心指数');
				}
				else if (slist && this.guess == null) {slist.show();mui.fire(plus.webview.getWebviewById('home-select.html'),'show')}
			},
			backTop:function(){
				vm.update(true);
		  	},
		  	changeKey :function(){

            	console.log("keyval.....:"+vm.keyval)
            	if(vm.keyval==''){
            		vm.list=[];
			        vm.myData.key=vm.keyval;
			        vm.myData.start = 0;
			        console.log("myData.....:"+JSON.stringify(vm.myData))
			        mui('#pullrefresh').pullRefresh().pullupLoading()
            	}


		  	},
		  	del:function(){
			  	document.activeElement.blur();//收起虚拟键盘
			    event.preventDefault(); // 阻止默认事件---阻止页面刷新
			  	vm.keyval=''
			  	vm.myData.key = ""
			  	vm.list=[];
			    vm.myData.start = 0;
			    mui('#pullrefresh').pullRefresh().pullupLoading()

		  }
		}
		
	});
	var scrollSearch = function (type) {
		var docTop = 0;
		if (!type) {
			docTop = mui(".home-search-block")[0].offsetTop;
			console.log('docTop...:'+docTop)
		}else {
			getData.grids();
			getData.quoted();  
		}
		if(mui.os.ios) {
			mui('#pullrefresh').pullRefresh().scrollTo(0, -docTop,50)
		} else {
			mui.scrollTo(docTop, 50); 
		}
	} 
	
	var getGuess = function () {
		var gdate = getState().gdate;
	    var newDate = new Date().pattern("yyyy-MM-dd"); 
		if (gdate != newDate) {
			vm.isSelect();
		}else {
			vm.guess = getState().guess;
		}
	}
	
	var slist = null;
    var pre = function () {
    	slist = mui.preload({
			url: 'home-select.html',
			id:  'home-select.html',
			styles: {top: 0,bottom: 0,background: "transparent"},
			extras: {mType: 'sub',pathName: '下周行情预判'}
		});
		setTimeout(function() {
			getGuess();
		},200);
    }
	var setGrade = function (i,val) {
		var dom = document.getElementById("container"+i);
		var myChart = echarts.init(dom);
		var option = null;
		var title = (i == 1 ? '看涨' : i == 2 ? '看稳' : '看跌');
		option = {
	        title: {
	            text: title,
	            left: 'center',
	            bottom: '10px',
	            textStyle: {
	                fontSize: '14',
	                color:'#fff',
	                fontWeight:'400'
	            }
	        },
	        color:['#fff','#88d7ff'],
	        grid: {
	            top: '50px',
	            bottom: '64px',
	            left: '54px',
	            right: '24px'
	        },
	        width:screen.width / 3,
	        series: [
	            {
	                name:'钢价预测',
	                type:'pie',
	                radius: ['55%', '70%'],
	                avoidLabelOverlap: false,
	                hoverAnimation: false,
	                center: ['50%', '43%'],
	                startAngle: 0,
	                label: {
	                    normal: {
	                        show: true,
	                        position: 'center',
	                        textStyle: {
	                            fontSize: '18',
	                            fontWeight: '400'
	                        },
	                        formatter:function(params){
	                            if(params.name){
	                                return (params.percent + '%')
	                            }
	                        }
	                    }
	                },
	                itemStyle:{
	                    emphasis:{
	                        show:false
	                    }
	                },
	                data:[{value:Number(val),name:'预判'},{value:100 - Number(val)}]
	            }
	        ]
	    };
		
		 if (option && typeof option === "object") {
		    myChart.setOption(option, true);
		}
	}
	
	var mySwiper = null;
	var getData = function () {
		
		return {
			echar: function () {
				http.post(BASE_URL+vm.version+"/func/getResult.json",function (data) {
					if ( 'rise' in data.result) {setGrade(1,data.result.rise);}
					if ( 'shock' in data.result ) {setGrade(2,data.result.shock);}
					if ( 'decline' in data.result) {setGrade(3,data.result.decline);}
//					console.log('data....:'+JSON.stringify(data))
				});
			},
			grids: function () {
				http.post(BASE_URL+vm.version+'/page/variety',function (data) {
					vm.gridList = data.result.map(function (item) {
						item.productIcon ="http://index.jwell56.com" + item.productIcon;
						return item;
					}); 
				}); 
			},
			quoted: function () {
				http.post(BASE_URL+vm.version+'/map/getPageQuote',{
					area: '成都'
				},function (data) {
					vm.quotedList = data.result;
					if (mySwiper) {return getData.echar();}
					vm.$nextTick(function(){
						plus.navigator.closeSplashscreen();
						 mySwiper = new Swiper('.swiper-container',{
							loop: true,
					        effect: 'slide',
					        slidesPerView: 3,
					        speed: 500,  
					        touchRatio : 0.5, 
					        autoplay: {
					        	stopOnLastSlide:true
					        }
						});
					});
					return getData.echar();
				},function (xhr, type, thr) {
					error_code_handle(xhr, type, thr);
					return getData.echar();
				});
			}
		}
	}()
	
	var setStr = function (str) {
		var s = "";
         if(str.length == 0) {return "";}
         s = str.replace(/&amp;/g,"&");
         s = s.replace(/&lt;/g,"<");
         s = s.replace(/&gt;/g,">");
         s = s.replace(/&nbsp;/g," ");
         s = s.replace(/&#39;/g,"\'");
         s = s.replace(/&quot;/g,"\"");
         return s; 
	}
	
	list = function () { //资讯列表
	   	return {
	   		upList: function (_type) {
		   		if (vm.myData.start == 0) {vm.list=[];};
//		   		console.log(JSON.stringify(this))
		   		this.result.results.forEach(function (item,index) {
		   			item.texts = setStr(item.texts);
		   			if (item.timeStr != vm.lastDate || index==0) {
		   				vm.lastDate = item.timeStr;
		   				var carr = []; 
		   				carr.push(item);
		   				vm.list.push({timeStr: item.timeStr,childs: carr});
		   			}
		   			else {
		   				vm.list[vm.list.length-1]['childs'].push(item);
		   			}
//		   			console.log('IOJHIOHIOU:'+JSON.stringify(vm.list))
		   		});   
			   	return closeList(_type,'start',this.result.results.length);  
		   	},
	   		resetList: function () {
		   		vm.myData.start = 0;
		   		vm.search = true;
		   		getData.grids();
		   		getData.quoted();  
				return vm.myData.start; 
		   	},
		   	err: function (xhr, type, thrown) {
		   		error_code_handle(xhr, type, thrown);
		   	}
	   	}
	}()
	
	
	var priceStatistic = function (pId) {
		var str = '';
		switch (pId){
			case '1':   //热轧
				str = 'clickHotPrice';
			case '2':   //冷轧
				str = 'clickColdPrice';
				break;
			case '21':  //线材
				str = 'clickLineRePrice';
				break;
			case '51':  //方坯
				str = 'clickSquarePrice';
				break;
			case '61':  //螺纹
				str = 'clickLuoPrice';
				break;
			case '72':  //炼焦煤
				str = 'clickCoal';
				break;
			case '73':  //钒钛矿
				str = 'clickVTiore';
				break;
			default:
				break;
		}
		
		if (str != '') {plus.statistic.eventTrig( str ,{"type":pId});}
		plus.statistic.eventTrig("clickTotalPrice",{"type":pId});
	}
	
	mui.plusReady(function () {
		vm.version = plus.storage.getItem('version');
		_init();
		getData.grids();
		getData.quoted();  
		mui.later(function(){
			pre();
		},1500);
		
		mui('.quote-content').on("tap",".swiper-prod-body",function(e){
			var pId = this.dataset.pid;
			var type = 1;
			var pName = this.querySelector(".swiper-prod-name").innerText + '价格行情';
			priceStatistic(pId);
			
//			console.log(pId)
			
			if (pId == '31' ||  pId == '111') {
				type = 2;
				if (pId == '101') {pName = "炼焦煤";}
				if (pId == '111') {pName = "钒系合金价";}
			}
			else if (pId == '101') {
				type = 3;
			}
			
//			pullfreshPage('/templates/prod-price/price-list-frame.html','/templates/prod-price/price-list.html', pName,{pId:pId,type:type});
			changePage('/templates/prod-price/price-list.html', pName,{pId:pId,type:type,callType:false});
		});
		mui(".mui-content").on("keypress",".search-value",function(event) {
			if(event.keyCode == "13") {
		        document.activeElement.blur();//收起虚拟键盘
//		        vm.update(false);
		        event.preventDefault(); // 阻止默认事件---阻止页面刷新

		    }
		});
		
		
		global.addEventListener("updateView",function (e) {
			vm.update(true);
		});
	    
	    global.addEventListener("setGuess",function (e) {
	    	console.log(vm.guess)
	    	vm.guess = e.detail.msg;
	    	var state = getState();
	    	state.gdate = new Date().pattern("yyyy-MM-dd");
	    	state.guess = e.detail.msg;
	    	setState(state);
	    	vm.update(true);
	    });  
	    
	    var titleType = false;
	    global.addEventListener("scroll",function(e){
			var doc = mui(".home-search-block")[0];
			var doc2 = mui(".quote-content")[0];
			var scrollTop = 0; 
			if (!mui.os.ios) {
				scrollTop = document.documentElement.scrollTop || window.pageYOffset || document.body.scrollTop;

			}else if(mui.os.ios){
				scrollTop = Math.abs(e.detail.y); 

			}    
			    
			if(scrollTop>1800){ 
				vm.isShow = true
			}else{
				vm.isShow = false 
			}
			 
			if (scrollTop >= doc2.offsetTop && !titleType) {
				titleType = true;
				mui.fire(plus.webview.currentWebview().parent(),'setTitle',{title:'积微指数'});
			}else if (scrollTop < doc2.offsetTop && titleType) {
				titleType = false;
				mui.fire(plus.webview.currentWebview().parent(),'setTitle',{title:'下周行情预判'});
			}
			
			if (scrollTop >= doc.offsetTop) {
				vm.fixed = true;
				mui(".search-fixed")[0].classList.remove('mui-hidden');
			}else {
				vm.fixed = false;
			}
		});
	});
})(window,mui)