/*获取CPU核数*/
var getCpuCount = function () {
    var Runtime = plus.android.importClass("java.lang.Runtime");
    var cpuCount = Runtime.getRuntime().availableProcessors();
    return cpuCount;
}

/*获取总内存*/
var getTotalRamSize = function () {
    var memInfo = '/proc/meminfo';
    var temp = '',
        ramSize = '',
        arrays, initMemory;
    var fileReader = plus.android.importClass("java.io.FileReader");
    var bufferedReader = plus.android.importClass("java.io.BufferedReader");
    var FileReader = new fileReader(memInfo);
    var BufferedReader = new bufferedReader(FileReader, 8192);
    while ((temp = BufferedReader.readLine()) != null) {
        if (-1 != temp.indexOf('MemTotal:')) {
            var value = temp.replace(/[^0-9]/ig, "");
            ramSize = Math.floor(parseInt(value) / (1024));
        }
    }

    return ramSize;
}
window.journal = function () {
	var objs = {act:6};
	function deleteObj () {
		objs = {};
		return;
	}
	
	return {
		/**
		 * 保存
		 */
		save: function () {
			console.log("打包时候记得开："+JSON.stringify(objs));
			return http.post(JOURNAL_URL+"/jplat-dcms-client/dc/collect",mui.extend(objs,{headers:{'Content-Type': 'application/json'}}),10000,function ( data ) {
				deleteObj();
					console.log("seva日志"+data.success);
			},function( xhr, type, hrow) {
				console.log("seva日志失败！");
				deleteObj();
			});
		},
		/**
		 * 重置参数
		 */
		resetd: function () {
				objs['startTime'] = new Date().pattern("yyyy-MM-dd HH:mm:ss.S");
				objs['sysVersion'] = plus.os.name + plus.os.version;          //设备系统类型
				objs['deviceCode'] = plus.device.uuid; 	   //设备uuid
				objs['manufacturer'] = plus.device.vendor;  //生产厂商
				objs['deviceModel'] = plus.device.model;    //设备型号
				objs['memoryTotalCapacity'] = (!mui.os.ios?getTotalRamSize():'') || '';   	   //设备总内存
				objs['cpuCount'] = (!mui.os.ios?getCpuCount():'');	   				   //CPU核数
				objs['sysName'] = appCode;   				//app自定义Code
				objs['token'] = getState().token || '';  				//用户唯一标识
				objs['accountName'] = getState().accountName || '';	//用户登录账号
				objs['userName'] = getState().userName || '';			//用户名称
				objs['longitude'] = getState().longitude || null;    //经度
				objs['latitude'] = getState().latitude || null;       //纬度
			return 	journal.save();
		}
		,
		/**
		 * 打开窗口
		 */
		upPage: function () {
			objs['act'] = 1;
			objs['pageName'] = this.pathName;
			objs['parentPageName'] = plus.webview.currentWebview().pathName;
			objs['pageUrl'] = this.pathUrl;
			objs['parentPageUrl'] = plus.webview.currentWebview().id || plus.runtime.appid;
			return journal.resetd();
		},
		/**
		 * 关闭窗口
		 */
		dowPage: function () {
			objs['act'] = this;
			objs['pageName'] = plus.webview.getTopWebview().parName ? plus.webview.getTopWebview().parName : '首页'; 
			objs['parentPageName'] = plus.webview.getTopWebview().pathName;  //被关闭的页面
			objs['pageUrl'] = plus.webview.getTopWebview().opened().id ? plus.webview.getTopWebview().opened().id : plus.runtime.appid;
			objs['parentPageUrl'] = plus.webview.getTopWebview().id;
			return journal.resetd();
		},
		/**
		 * 前后台切换
		 */
		sume: function () {
			console.log(this)
			objs['act'] = this;
			objs['pageName'] = plus.webview.getTopWebview().pathName;   
			objs['parentPageName'] = (plus.webview.getTopWebview().opener() ? (plus.webview.getTopWebview().parName ? plus.webview.getTopWebview().parName : '首页') : '首页');
			objs['pageUrl'] = plus.webview.getTopWebview().id;
			objs['parentPageUrl'] = (plus.webview.getTopWebview().opener() ? (plus.webview.getTopWebview().opener().id ? plus.webview.getTopWebview().opener().id : plus.runtime.appid) : plus.runtime.appid);
			return journal.resetd();
		},
		/**
		 * 首界面窗口切换
		 */
		swit: function () {
			objs['act'] = 5;
			objs['pageName'] = arguments[0].pathName;
			objs['parentPageName'] = arguments[1].pathName;
			objs['pageUrl'] = arguments[0].pathUrl;
			objs['parentPageUrl'] = arguments[1].pathUrl;
			return journal.resetd();
		}
	}
}(window.plus)


	
	
	
