(function(global,$) {
	$.init({
		swipeBack: false,
		pullRefresh: {
			container: '#pullrefresh',
			up: {
				callback: _up,
			},
			down: {
				callback: _dow,
			},
		}
	});
	global._init = function() {
		$.later(function(){
			if ($('#pullrefresh')) {
				$('#pullrefresh').pullRefresh().pullupLoading();
			}else {
				return _init();
			}
		},100);
	}

	function _up(state) {
		http.post( vm.myData.url,vm.myData,10000,function(data){ 
			
			console.log("data:"+JSON.stringify(data)); 
			state&&(vm.list = []);
			list.upList.call(data,state);
		},function(xhr, type, thrown){ 
			state&&($('#pullrefresh').pullRefresh().endPulldownToRefresh());
			$('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			if (list.err) {
				list.err(xhr, type, thrown);
			}else {
				error_code_handle(xhr, type, thrown);
			}
		})
		
	}
	

	function _dow() {
		
		list.resetList();
		_up(true);
	}

})(window,mui)

var closeList = function (state,page,index) {
	state&&(mui('#pullrefresh').pullRefresh().endPulldownToRefresh());
	if(index == 10) {
		vm.myData[page] = vm.myData[page]+10;
		mui('#pullrefresh').pullRefresh().refresh(true);
		mui('#pullrefresh').pullRefresh().endPullupToRefresh();
	} else {
		//参数为true代表没有更多数据了。
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	}
}
