
(function(){
    var vm = new Vue({
        el:'.mui-content', 
        data:{
        	city:'',
            isBtnOne:false,
            isBtnTwo:false,         
            sample:{},//报价样本 
            price:'',//用户报价  
            placesteelId:'',
            sampleId:''
        },
        methods:{
            releaseBtn:function(){
            	
            	if(vm.price.replace(/\s+/g, "")==''){
		            mui.toast('请输入价格'); 
		            return false
       			}
		        if(Number(vm.price)<3000 || Number(vm.price)>8000){
		            mui.toast('输入价格有误');
		            return false
		        }
		        if(!(/^[0-9]*$/.test(vm.price))){
		            mui.toast('输入价格有误');
		            return false
		        }
		        var num =  hex_md5(vm.sampleId)
        		submitOffer(vm.sampleId,vm.price,num);

            }
        }
    });
  

     

    var submitOffer = function (sampleId,price,secret) {
//  	wa = plus.nativeUI.showWaiting("提交中");
        http.post ( BASE_URL +'/quote/outQuotePrice/'+getState().token,{
            sampleId:sampleId,
            price:price,
            secret:secret
        },function (data) {
//      	wa.close()
            if(data.code==200){
                console.log('提交报价接口::'+JSON.stringify(data));
	           	mui.back();      
//              mui.toast(data.result)
                plus.nativeUI.toast(data.result,{verticalAlign:"center"})
            }
            else if(data.code==403){
                plus.nativeUI.toast(data.result,{verticalAlign:"center"})
            }
        },10000);

    };
 
    mui.plusReady(function(){   	
	  	window.addEventListener("tet",function(e){
	    	vm.city = e.detail.city
	    	vm.isBtnOne = e.detail.isBtnOne
	    	vm.isBtnTwo = e.detail.isBtnTwo
	    	vm.sample = e.detail.sample
	    	vm.price = e.detail.price
	    	vm.placesteelId = e.detail.placesteelId
	    	vm.sampleId = e.detail.sampleId
	    	
//	    	console.log("city:"+vm.city)
//	    	console.log("isBtnOne:"+vm.isBtnOne)
//	    	console.log("isBtnTwo:"+vm.isBtnTwo)
//	    	console.log("sample:"+vm.sample)
//	    	console.log("price:"+vm.price)
//	    	console.log("placesteelId:"+vm.placesteelId)
    	})
     

       

    }); 

})();