
(function(){
    var vm = new Vue({
        el:'.mui-content', 
        data:{
            num:'',
            typeNum:null,
            typeNumOne:null,
            AddressType:0,
            isShowAddress:false,
            isShow:false,
            isBtnOne:false,
            isBtnTwo:false,
            list:[],
            listOne:[],
            dataAddress:[],
            city:'',//选择的城市
            cityLocation:'',//定位的城市
            areaId:'',//地址id
            varietyId:'',//种类id
            placesteelId:'',//品牌id
            sampleId:'',//样本id
            sample:{},//报价样本 
            price:''//用户报价
        },
        methods:{
        	clickAddress:function(){
                vm.isShowAddress = !vm.isShowAddress;
                vm.isShowCategory = false
            },
            changeAddress:function(i){//选择地址
                vm.isShowAddress = false;
                vm.isShow = false;
                vm.city=document.getElementsByClassName('btnAddres')[i].children[0].innerHTML;
                this.AddressType = i;
                vm.areaId = vm.dataAddress[i].area_id;
                console.log('vm.areaId...'+vm.areaId);
                vm.list = [];
                vm.listOne=[];
                vm.sample={};
                vm.price='';
                vm.typeNum=null;
            	vm.typeNumOne=null;
                getType(vm.areaId)
            },
            tab:function(i){//种类
            	vm.listOne=[];
            	vm.price='';
            	vm.typeNumOne=null;
            	vm.sample={};
            	vm.isBtnOne = true;
                vm.typeNum = i;
                vm.varietyId = vm.list[i].variety_id;
                console.log('variety_id....'+vm.varietyId)
                vm.listOne=[];
                getBrand(vm.areaId,vm.varietyId)
            },
            tabOne:function(i){
            	vm.price='';
            	vm.isBtnTwo = true; 
                vm.typeNumOne = i;
                vm.placesteelId = vm.listOne[i].placesteel_id;
                console.log(JSON.stringify(vm.listOne[i]))
                console.log('areaId....'+vm.areaId)
                console.log('varietyId....'+vm.varietyId)
                console.log('placesteelId....'+vm.placesteelId)
                getSample(vm.areaId,vm.varietyId,vm.placesteelId)

            },
            getWantPrice:function(){
            	console.log(vm.price)
            	mui.fire(plus.webview.currentWebview().parent(),'tet',{city:vm.city,isBtnOne:vm.isBtnOne,isBtnTwo:vm.isBtnTwo,sample:vm.sample,price:vm.price,placesteelId:vm.placesteelId,sampleId:vm.sampleId})
            }
     
        }
    });



    //获取用户可选城市接口
    var getCity = function () {
        http.get (BASE_URL +'/quote/findArea/'+getState().token,{

        },function (data) {
            if(data.code==200){
//              console.log('获取用户可选城市接口::'+JSON.stringify(data));
                vm.dataAddress = data.result
            }
            else{
                mui.toast(data.result)
            }
        },10000);

    };
    //根据区域ID获取用户可选种类接口
    var getType = function (areaId) {
        http.get (BASE_URL +'/quote/findVariery/'+getState().token,{
        	areaId:areaId
        },function (data) {
            if(data.code==200){
//              console.log('根据区域ID获取用户可选种类接口::'+JSON.stringify(data));
                vm.list = data.result
//              console.log( data.result.length)              
            }
            else{
                mui.toast(data.result)
            }
        },10000);
    };
        //根据区域ID和种类ID获取用户可选品牌接口
    var getBrand = function (areaId,varietyId) {
        http.get (BASE_URL +'/quote/findPlaceSteel/'+getState().token,{
        	areaId:areaId,
        	varietyId:varietyId
        },function (data) {
            if(data.code==200){
//              console.log('根据区域ID和种类ID获取用户可选品牌接::'+JSON.stringify(data));
                vm.listOne = data.result
//              console.log( data.result.length)              
            }
            else{
                mui.toast(data.result)
            }
        },10000);
    };
    //根据区域ID和种类ID和品牌ID获取用户报价样本接口
    var getSample = function (areaId,varietyId,placeSteelId) {
        http.get (BASE_URL +'/quote/findDataSample/'+getState().token,{
        	areaId:areaId,
        	varietyId:varietyId,
        	placeSteelId:placeSteelId
        },function (data) {
            if(data.code==200){
                console.log('根据区域ID和种类ID和品牌ID获取用户报价样本接口::'+JSON.stringify(data));
                vm.sample = data.result
                vm.sampleId = data.result.data_sample_id
//              console.log(vm.sampleId)
//              console.log(vm.sample.data_sample_id)

            }
            else{
                mui.toast(data.result)
            }
        },10000);
    };

    
          //定位
//    document.addEventListener('plusready', onPlusReady,true); 
      function onPlusReady(){
          plus.geolocation.getCurrentPosition(function(p){
//        	 console.log('获取用户::'+JSON.stringify(vm.dataAddress));
          	 vm.isShow = true
              var s= p.address.city
              vm.cityLocation = s.substring(0,s.length - 1)
//            console.log(vm.cityLocation);
              for (var i = 0 ; i<vm.dataAddress.length ; i++) {
                	if(vm.dataAddress[i].area_name == vm.cityLocation){
                		vm.city = vm.cityLocation
                		vm.isShow = false
                		vm.areaId = vm.dataAddress[i].area_id
//              		console.log(vm.areaId)
                		getType(vm.areaId)
                		return false
                	}else{

                		vm.isShow = true
                	}
                }
          }, function(e){ 
              console.log('Geolocation error: ' + e.message);
              console.log("定位失败")
              vm.isShow = true
          } );
      }
    mui.plusReady(function(){
    	
       	getCity()
       	mui.later(function(){
       	   onPlusReady()
       	},100)       	      
    }); 

})();
     