/**
 * Created by XIAOKANG on 2017/11/20.
 */

    vm = new Vue({
        el: '.mui-content',
        data: {
        	callType: false,
            list:[],
            dataCategory:[],
            dataAddress:[],
            timesArr:[],
            numArr:[],
            num:[0],
            numCol:[0],
            info:{},
            isShowCategory:false,//是否显示品种
            isShowAddress:false,//是否显示地址
            category:'热轧',
            address:'成都',
            timeType:1,
            CategoryType:0,
            AddressType:0,
            varietyId:1,//品类ID
            areaId:1,//地址ID
            title:'',
            quoteDay :'',
            quotePriceWave : '',
            quotePrice : '',
            col :'',
            price:'',
            isIos:50
        },
        methods:{
        	callHome: function () {
				mui.fire(plus.webview.getLaunchWebview(), 'call-home'); 
			},
            changeCategory:function(i){//选择品种
                vm.dataAddress = vm.dataCategory[i].aList;
                var category=document.getElementsByClassName('btnCategory')[i].children[0].innerHTML;
                vm.category = category;
                vm.isShowCategory = false;
                this.CategoryType = i;
                vm.varietyId = vm.dataCategory[i].varietyId;
                getInfo(vm.varietyId,vm.areaId);
                if(vm.timeType==1){//日
                    console.log('进了日');
                    vm.timesArr=[];
                    vm.numArr=[];
                    vm.num=[0];
                    vm.numCol=[0];
                    console.log('varietyId:'+vm.dataCategory[i].varietyId);
                    getDay(vm.varietyId,vm.areaId);
                }else if(vm.timeType==2){//周
                    console.log('进了周');
                    vm.timesArr=[];
                    vm.numArr=[];
                    vm.num=[0];
                    vm.numCol=[0];
                    getDay(vm.varietyId,vm.areaId);
                }else if(vm.timeType==3){//月
                    console.log('进了月')
                    vm.timesArr=[];
                    vm.numArr=[];
                    vm.num=[0];
                    vm.numCol=[0];
                    getDay(vm.varietyId,vm.areaId);
                }

            },
            changeAddress:function(i){//选择地址
                vm.isShowAddress = false;
                var address=document.getElementsByClassName('btnAddres')[i].children[0].innerHTML;
                vm.address = address;
                this.AddressType = i;
                vm.areaId = vm.dataAddress[i].areaId;
                console.log('vm.areaId...'+vm.areaId);
                if(vm.timeType==1){
                    console.log('进了日')
                    vm.timesArr=[];
                    vm.numArr=[];
                    vm.num=[0];
                    vm.numCol=[0];
                    console.log('areaId:'+vm.dataAddress[i].areaId);
                    getDay(vm.varietyId,vm.areaId,2);
                    getInfo(vm.varietyId,vm.areaId);
                }else if(vm.timeType==2){
                    console.log('进了周')
                    vm.timesArr=[];
                    vm.numArr=[];
                    vm.num=[0];
                    vm.numCol=[0];
                    getDay(vm.varietyId,vm.areaId,4);
                    getInfo(vm.varietyId,vm.areaId);
                }else if(vm.timeType==3){
                    console.log('进了月')
                    vm.timesArr=[];
                    vm.numArr=[];
                    vm.num=[0];
                    vm.numCol=[0];
                    getDay(vm.varietyId,vm.areaId,6);
                    getInfo(vm.varietyId,vm.areaId);
                }

            },
            clickCategory:function(){
                vm.isShowCategory = !vm.isShowCategory;
                vm.isShowAddress = false
            },
            clickAddress:function(){
                vm.isShowAddress = !vm.isShowAddress;
                vm.isShowCategory = false
            },
            changeTime:function(val){//改变时间
                this.timeType = val;
                if(this.timeType==1){//日
                    console.log('进了日');
                    vm.timesArr=[];
                    vm.numArr=[];
                    vm.num=[0];
                    vm.numCol=[0];
                    getDay(vm.varietyId,vm.areaId,2);
                    getInfo(vm.varietyId,vm.areaId);
                    setGrade();
                    console.log(url);
                }else if(this.timeType==2){//周
                    //getWeek(vm.varietyId,vm.areaId);
                    vm.timesArr=[];
                    vm.numArr=[];
                    vm.num=[0];
                    vm.numCol=[0];
                    getDay(vm.varietyId,vm.areaId,4);
                    getInfo(vm.varietyId,vm.areaId);
                    setGrade();
                    console.log(url);
                }else if(this.timeType==3){//月
                    console.log('进了月');
                    //getMonth(vm.varietyId,vm.areaId);
                    vm.timesArr=[];
                    vm.numArr=[];
                    vm.num=[0];
                    vm.numCol=[0];
                    getDay(vm.varietyId,vm.areaId,6);
                    getInfo(vm.varietyId,vm.areaId);
                    setGrade();
                    console.log(url);

                }
            },
            changeDataCen:function(){//跳转到数据中心
                plus.statistic.eventTrig("hrefIndex",{});
                var item = {indexName: vm.title, variety: vm.category, area: vm.address,indexPage:1};
                pullfreshPage('../public/dataCenter-list-frame2.html','../public/dataCenter-list2.html','数据中心',{top:94,obj:item});

            }
        }
    });


    var setGrade = function () {
        var dom = document.getElementById("container");
        var myChart = echarts.init(dom);
        option = null;
        var date = vm.timesArr;
        var data = vm.numArr;
        var datas = vm.num;
        var numCol = vm.numCol;
//      console.log('date'+JSON.stringify(date));
        option = {
            tooltip: {
                trigger: 'axis',
                formatter: function (params) {
                    //console.log("params"+JSON.stringify(params));
                    var item = params[0];
//                  console.log(item.dataIndex)
                    return '指数: ' + item.value
                        + '<br/>涨跌: ' + datas[item.dataIndex]+'&nbsp;&nbsp;'+numCol[item.dataIndex]+'%'
                        +'<br/>时间：'+ item.name;
                }
            },
            grid: {//改变图的默认大小
                    left: '3%',
//                  right: '4%',
//                  bottom: '3%',
                    containLabel: true
                },
            xAxis: {
                splitLine: {
                    show: false
                },
                axisTick: {
                    show: false
                },
                data: date
            },
            yAxis: {
                scale: true,
                axisTick: {
                    show: false
                }
            },
            dataZoom: [{
                type: 'inside',
                start: 0,
                end: 100
            }, {
                start: 0,
                end: 100,
                handleIcon: 'M10.7,11.9v-1.3H9.3v1.3c-4.9,0.3-8.8,4.4-8.8,9.4c0,5,3.9,9.1,8.8,9.4v1.3h1.3v-1.3c4.9-0.3,8.8-4.4,8.8-9.4C19.5,16.3,15.6,12.2,10.7,11.9z M13.3,24.4H6.7V23h6.6V24.4z M13.3,19.6H6.7v-1.4h6.6V19.6z',
                handleSize: '80%',
                handleStyle: {
                    color: '#fff',
                    shadowBlur: 3,
                    shadowColor: 'rgba(0, 0, 0, 0.6)',
                    shadowOffsetX: 2,
                    shadowOffsetY: 2
                }
            }],

            series: [{
                name:'',
                type:'line',
                data: data
            }]
        };
        ;
        if (option && typeof option === "object") {
            myChart.setOption(option, true);
        }
    };

    //获取品种和区域信息
    var getDetails = function () {
        http.post ( BASE_URL +'/map/getQuoteIndex',{

        },function (data) {
            if(data.code==200){
                console.log('获取品种和区域信息::'+JSON.stringify(data.result));
                vm.dataCategory = data.result
                for(var i= 0;i< vm.dataCategory.length;i++){
                    if(vm.dataCategory[i].varietyName=='热轧'){
                        vm.dataAddress=vm.dataCategory[i].aList
                    }

                }
            }

        },10000);

    };
    //获取信息
    var url='';
    var getDay = function (varietyId,areaId,i) {

        if(i==2){
            url = BASE_URL +'/map/getQuoteIndexDay'
        }else if(i==4){
            url = BASE_URL +'/map/getQuoteIndexWeek'
        }else if(i==6){
            url = BASE_URL +'/map/getQuoteIndexMonth'
        }
        http.post ( url,{
            varietyId:varietyId,
            areaId:areaId
        },function (data) {
            if(data.code==200){
//              console.log('获取信息::'+JSON.stringify(data.result));
//               console.log('获取信息::'+JSON.stringify(data.result.length));
                for(var i= 0;i<data.result.length;i++){
                    vm.timesArr.push(data.result[i].quoteDay);
                    vm.numArr.push(data.result[i].quotePrice)
                }
                console.log('vm.timesArr::'+JSON.stringify(vm.timesArr));
                for(var i= 1;i<vm.numArr.length;i++){
                     var num=vm.numArr[i]-vm.numArr[i-1];
                     vm.num.push(num.toFixed(0))
                     var nums=(vm.numArr[i]-vm.numArr[i-1])/vm.numArr[i-1]*100;
                     vm.numCol.push(nums.toFixed(2))
                }

//                console.log('vm.num::'+JSON.stringify(vm.num));
//                console.log('vm.numCol::'+JSON.stringify(vm.numCol));
//                console.log('numArr::'+vm.numArr.length);
//                console.log('vm.num::'+vm.num.length);
//                console.log('vm.numCol::'+vm.numCol.length);
//                console.log('获取numArr::'+JSON.stringify(vm.numArr));

                return  setGrade();
            }
            
        },10000);

    };

    //处理千分位
	function format (num) {
	    return (num.toFixed(2) + '').replace(/\d{1,3}(?=(\d{3})+(\.\d*)?$)/g, '$&,');
	}
    //获取信息板块信息

    var getInfo = function (varietyId,areaId) {
        http.post ( BASE_URL +'/map/getLastQuoteIndex',{
            varietyId:varietyId,
            areaId:areaId
        },function (data) {
            if(data.code==200){
                console.log('获取信息板块信息::'+JSON.stringify(data.result));
                if(data.result != null){
                    vm.quoteDay = data.result.quoteDay;
                    vm.quotePriceWave = data.result.quotePriceWave;
                    vm.quotePrice = data.result.quotePrice;
                    vm.col = data.result.col
//                  console.log( format(vm.quotePrice))
                    vm.price = format(vm.quotePrice)
                }else{
                	vm.quoteDay = 0;
                    vm.quotePriceWave =0;
                    vm.quotePrice = 0;
                    vm.col = 0
                }
            }

        },10000);

    };


    document.getElementById("changeP").addEventListener("tap",function () {
        changePage('priceIndex-rule.html','指数编制规则',{})

    });

    mui.plusReady(function () {
    	if(mui.os.ios){
            vm.isIos = 50
//          console.log(":苹果")
        }else {
            vm.isIos = 100
//           console.log(":安卓")
        }
    	if (plus.webview.currentWebview().opener().id != 'home-list.html' ) {vm.callType = true;}
    	mui("#title")[0].innerText = plus.webview.currentWebview().pathName;
        getDetails();
        getDay(1,1,2);
        getInfo(1,1);
        vm.title=plus.webview.currentWebview().pathName;
    });

