(function($){
	vm = new Vue({
		el: '.mui-content',
		data: {
			isInit: true,
			myData:{
				url: '',
				variety: '',
				contractCode: '',
				area: '', 
				page: 1
			},
			vList: [],variety:'',
			aList: [],area:'',
			cList: [],futures_name:'',contract_code:'',
			list: [],
			sListType: 0
		},
		methods: {
			tab: function (val) {
				if (this.sListType == val) {
					this.sListType = 0;
				}else {
					this.sListType = val;
				}
			},
			topTab: function (obj) {
				vm.list=[]
				var item = false;
				for (var i in obj) {
					vm[i] = obj[i];
					if (i=='variety') {
						item = true;
					}
				}
				this.sListType = 0;	
				this.$nextTick(function () {
					if (item) {
						getCode();
					}else {
						setMyData();
					}
				});

			}
		}
	});
	
	
	var setGrade = function (avgArr, jcaArr, dateArr) {
		var dom = document.getElementById("container");
		var myChart = echarts.init(dom);
		var option = null;

		option = {
	        title: {
	            text: vm.list[0].futuresName,
	           left: 'center',
	            top: '15px',
	            textStyle: {
	                fontSize: 15
	            }
	        },
	        tooltip: {
			      trigger: 'axis',
			      formatter: function (params) {
			        var item = params[0];
			          var str = '';
			        if(params[0] && params[0].data){
			            params.forEach(function(ele,index){
			              str =str + '<div style="background-color:'+ ele.color +';border-radius: 50%;width:10px;height: 10px;display: inline-block"></div>' + ele.seriesName + ': '+(ele.value)+ '<br/>';
			              if(index){
			                str = str + '日期: ' + item.name;
			              }
			            })
			          }else{
			              str = item.seriesName + ': ' + (item.value) + '<br/>　日期:' + item.name;
			          }
			        return str;
			      }
			    },
			    grid: {
			      top: '55px',
			      bottom: '44px',
			      left: '44px',
			      right: '8px'
			    },
			    series:  [{
			              name: '年平均值',
			              type: 'line',
			              data: avgArr
			          },{
			          name: '期现价差',
			          type: 'line',
			          data: jcaArr
			        }],
			    xAxis: {
			      splitLine: {
			        show: true
			      },
			      axisTick: {
			        alignWithLabel: true
			      },
			      data: dateArr
			    },
			    yAxis: {
			      scale: true
			    }
	    };
		
		 if (option && typeof option === "object") {
		    myChart.setOption(option, true);
		}
	}
	
	
	list = function () {
	   	return {
	   		upList: function (_type) {
				
				vm.list = this.result;

				var dateArr = [],avgArr = [],jcaArr = [];
				this.result.forEach(function(item) {
					dateArr.unshift(item.date);
					avgArr.unshift(item.avg);
					jcaArr.unshift(item.jca);
				});
				
				setGrade(avgArr, jcaArr, dateArr);
				$('#pullrefresh').pullRefresh().scrollTo(0, 0,100)
//				$.scrollTo(0, 100); 
			   	return closeList(_type,'page',1);
		   	},
	   		resetList: function () {
		   		vm.myData.page = 1;
				return vm.myData.page;
		   	}
	   	}
	}()
	
	var setMyData = function () {
		vm.myData.variety = vm.variety;
		vm.myData.contractCode = vm.contract_code;
		vm.myData.area = vm.area;
		
		if (vm.isInit) {
			vm.$nextTick(function () {
					return _init();
			});
		}else {
			$('#pullrefresh').pullRefresh().pullupLoading();
		}
	}
	
	var getCode = function () {
		http.post(BASE_URL+plus.storage.getItem('version') + '/futures/getAreaAndCode',{
			variety: vm.variety
		},function(data) {
			
			vm.aList = data.result.areas;  
			vm.area = data.result.areas[0].area;
			
			vm.cList = data.result.contractCodes;
			vm.contract_code = data.result.contractCodes[0].contract_code;
			vm.futures_name = data.result.contractCodes[0].futures_name;
			vm.$nextTick(function () {
					return setMyData();
			});
		});
	}
	
	var getVariety = function () {
		http.post(BASE_URL+plus.storage.getItem('version') + '/futures/getInitDataVariety',function(data) {
			
			vm.vList = data.result;
			vm.variety = data.result[0].variety;
			
			vm.$nextTick(function() {
				return getCode();
			});
			
		});
	}
	
	$.plusReady(function () {
		vm.myData.url = BASE_URL+plus.storage.getItem('version') + '/futures/getBasisTrading';
		getVariety();
	});
	
})(mui)