(function($){
	Vue.filter("toMath",function(num){
		var num = Number(num);
		return Math.abs(num);
	});
	vm = new Vue({
		el: '.mui-content',
		data: {
			myData:{},
			topList: [],
			list:[],
			name:"",
			guige:'',
			sta:false,
			pId: 0,
			type: false,
			top: 0
		},
		computed: {
			childList: function () {
				var arr = [];
				var aId = this.myData.areaId;
				this.topList.filter(function(item){
					if (item.areaId == aId) {
						arr = item.pList; 
					};
				})
				return arr;
			}
		},
		methods: {
			onPage: function () {
			    if(vm.type==2 && vm.pId==111){	    	
                    var item = {indexName: '市场报价', variety: vm.myData.varietyName,  placesteel: vm.guige};
//					vm.name = curr.obj.spec+''+vm.myData.areaName+'价格'
console.log(111)
					console.log('item..."'+JSON.stringify(item))
				}else if (vm.type==3 && vm.pId==101){
                    var item = {indexName: '市场报价', variety: vm.myData.varietyName, area: vm.myData.areaName};
//					vm.name = curr.obj.spec
					console.log('item..."'+JSON.stringify(item))
				}else{
					var item = {indexName: '市场报价', variety: vm.myData.varietyName, area: vm.myData.areaName, placesteel: vm.myData.placesteelName};
				}
				
				plus.statistic.eventTrig( "hrefPrice" ,{"type":"priceConter"});
				pullfreshPage('../public/dataCenter-list-frame2.html','../public/dataCenter-list2.html','数据中心',{top:94,obj:item,types:vm.type,pIndex:vm.pId});
			},
			toggle: function (val) {
                console.log("vai..:"+val)
				vm.list=[];
				if (this.top == val) {
					this.top = 0;
				}else {
					this.top = val;
				}
			},
			areaTab: function (top,pIn) {
				console.log('pIn...:'+pIn)
				console.log('top...:'+top)
				console.log('spec...:'+this.topList[pIn].spec)
				if (top == 1 || top == 3) {
					if(vm.type==3 && vm.pId==101){
						vm.name = this.topList[pIn].spec
						this.myData.areaId = this.topList[pIn].areaId;
						this.myData.areaName = this.topList[pIn].areaName;
//						console.log(this.myData.areaName)
					}else{
						this.myData.areaId = this.topList[pIn].areaId;
						this.myData.areaName = this.topList[pIn].areaName;
						this.myData.placesteelName = this.childList[0].placesteelName;
						this.myData.placeId = this.childList[0].placesteelId;
//						console.log(this.myData.areaName)
					}
					
				}else {
					this.myData.placesteelName = this.childList[pIn].placesteelName;
					this.myData.placeId = this.childList[pIn].placesteelId;
				}
				
				_init();
				return this.toggle(top);
			}
		}
	});
	
	
	var setGrade = function () {
		var dom = document.getElementById("container");
		var myChart = echarts.init(dom);
		var arrDate = [],arrPrice = [];
		var option = null;
		
		vm.list.forEach(function (item) {
			arrDate.unshift(item.quoteDay);
			arrPrice.unshift(item.quotePrice);
		});

		option = {
	        title: {
//	            text: vm.myData.areaName+''+vm.myData.placesteelName+''+vm.myData.varietyName+'价格',
	            text: vm.sta ? vm.name : vm.myData.areaName+''+vm.myData.placesteelName+''+vm.myData.varietyName+'价格',
	            right: (vm.type==1?'200px':'center'),
	            paddingLeft:'200px',
	            top: '10px',
	            textStyle: {
	                fontSize: 15
	            }
	        },
	        tooltip: { 
	            trigger: 'axis',
	            formatter: function (params) {
	                var item = params[0];
	                return '日期: ' + item.name
	                    + '<br/>价格: ' + item.value;
	            }
	        },
	        grid: {
	            top: '45px',
	            bottom: '35px',
	            left: '50px',
	            right: '20px'
	        },
	        xAxis: {
	            splitLine: {
	                show: true
	            },
	            axisTick: {
	                show: false
	            },
	            data: arrDate
	        },
	        yAxis: {
	            scale: true,
	            axisTick: {
	                show: false
	            }
	        },
	        animation: false,
	        series: [{
	            type: 'line',
	            data: arrPrice
	        }]
	    };
		
		 if (option && typeof option === "object") {
		    myChart.setOption(option, true);
		}
	}
	
	
	list = function () {
	   	return {
	   		upList: function (_type) {
		   		vm.list = this.result;
		   		vm.$nextTick(function () {
		   			setGrade();
		   		});
			   	return closeList(_type,'page',1);
		   	},
	   		resetList: function () {
		   		vm.myData.page = 1;
				return vm.myData.page;
		   	},
		   	err: function (xhr,type,thr) {
		   		$.toast("加载失败");
		   		error_code_handle(xhr,type,thr);
		   	}
	   	}
	}()
	
	var getTopList = function () {
		http.post(BASE_URL+plus.storage.getItem('version')+'/map/getAreaByVariety',{
			id: vm.myData.varietyId
		},function (data) {
			vm.topList = data.result; 
			console.log('vm.topList...:'+JSON.stringify(vm.topList))
		});
	}
	
	$.plusReady(function () {
		var curr = plus.webview.currentWebview();
		vm.type = curr.type;
		vm.pId = curr.pId;
//		console.log(JSON.stringify(curr.obj))
//		console.log('vm.type...:'+vm.type)
//		console.log('vm.pId...:'+vm.pId)
	
		vm.myData = {
			url: BASE_URL+plus.storage.getItem('version')+'/map/getQuoteByVarietyAreaPlace',
			varietyId: curr.obj.varietyId,
			areaId: curr.obj.areaId,
			placeId:curr.obj.placesteelId,
			placesteelName: curr.obj.placesteelName,
			areaName: curr.obj.areaName,
			varietyName: curr.obj.varietyName,
			page:1
		}
		
	    _init();
	    getTopList();
	    if(vm.type==2 && vm.pId==111){
	    	vm.sta =true;
			vm.name = curr.obj.spec+''+vm.myData.areaName+'价格'
			vm.guige = curr.obj.spec
//			console.log(vm.name)
		}else if (vm.type==3 && vm.pId==101){
			vm.sta =true;
			vm.name = curr.obj.spec
//			console.log(vm.name)
		}
	});
	
})(mui)