(function($){
	var vm = new Vue({
		el:'.mui-content',
		data: {
			se: false,
			pIn:0,
			cIn:-1,
			fIn:-1,
			list:[],
			fList: []
		},
		computed: {
			childList: function () {
				var arr = [];
				if (this.list.length > 0) {
					arr = this.list[this.pIn].children;
				}
				return arr;
			}
		},
		methods: {
			backFn: function () {
				this.se = false;
				plus.webview.currentWebview().hide();

			},
			selectFn: function () {
				this.backFn();
			},
			tab: function (type,index) {
				var vId = null,typeVal = null;

				switch (type) {
					case 'par':
						this.pIn = index;
						this.cIn = -1;
						this.fIn = -1;
						mui.fire(plus.webview.currentWebview().opener(),'setTopStyle',{pIn:index});
						break;
					case 'child':
						this.cIn = index; 
						this.fIn = -1;
						console.log('this.childList.....:'+JSON.stringify(this.childList))
//						console.log('this.danwei.....:'+this.childList[index].unit)
						if(this.childList[index].unit == null){
					    	var danWei = ''
					    }else{
					    	var danWei = '('+this.childList[index].unit+')'
					    }
						vId = this.childList[index].dataTypeId;
						if (!this.childList[index].isLeaf) {
							getchild(vId);   
						}else {
							typeVal = this.list[this.pIn].dataTypeName + '__' + this.childList[index].dataTypeName+danWei;
					    	mui.fire(plus.webview.currentWebview().opener().children()[0],'update',{typeId:vId,typeVal:typeVal,danWei:danWei});
							this.backFn();
						} 
						break;
					default:
					    console.log("this.fList...:"+JSON.stringify(this.fList))
					    this.fIn = index;
					    vId = this.fList[index].dataTypeId;
					    console.log('this.fIn....:'+this.fIn)
					    if(this.fList[index].unit == null){
					    	var danWei = ''
					    }else{
					    	var danWei = '('+this.fList[index].unit+')'
					    }
					    typeVal = this.list[this.pIn].dataTypeName+ '__' + this.childList[this.cIn].dataTypeName + '__'+ this.fList[index].dataTypeName+danWei;
					    mui.fire(plus.webview.currentWebview().opener().children()[0],'update',{typeId:vId,typeVal:typeVal,danWei:danWei});
						this.backFn();
						break;
				}
			}
		}
	});
	
	var getchild = function (val) {
		http.post(BASE_URL + plus.storage.getItem('version')+'/dataCenter/getTypeByParentId',{
			parentId: val
		},function (data) {
			vm.fList = data.result;
		});
	}
	
	var getCategory = function () {
		http.post(BASE_URL + plus.storage.getItem('version')+'/dataCenter/getAllType',function (data) {
			console.log("类别："+JSON.stringify(data));
			vm.list = data.result;
		});
	}
	
	$.plusReady(function () {
		
//		console.log(plus.webview.currentWebview().id)
	    
	    getCategory();
	    
		window.addEventListener("show",function(e){ 
			vm.se = true;
			vm.pIn = e.detail.pIn;
//			vm.cIn = -1;
//			vm.fIn = -1;
//			vm.fList = [];
		});
		window.addEventListener("send",function(e){ 
			vm.cIn = -1;
			vm.fIn = -1;
			vm.fList = [];
		});
		window.addEventListener('sendList',function(e){
	    	vm.isShowBtn = false;
	        getCategory();

    	});
	});
	
	
})(mui) 