(function($){
	Vue.filter("toMath",function(num){
		var num = Number(num);
		return Math.abs(num);
	});
	vm = new Vue({
		el: '#app',
		data: {
			myData:{
				url: '',
				dataTypeId:0,
				startTime:setDate1(),
				endTime: new Date().pattern("yyyy-MM-dd"),
				page: 1
			},
			dataVal:'',
			danWei:'',
			list:[],
			listOne:[],
			pIn:0,
			fixed: false,
			isShowBtn:false
		},
		methods: {
			showDate: function (val) {

//				mui('#pullrefresh').pullRefresh().scrollTo(0,10,100);
				$.scrollTo(0, 100);
				getDate(val);
			},
			reloadList:function(){
                mui.fire(plus.webview.currentWebview().parent(),'sendList',{})
                mui.fire(plus.webview.getWebviewById('data-center.html'),'sendList',{});
                _init();
            }
		}
	});

//  document.getElementById('loginBtn').addEventListener('tap',function(){
//  	mui.fire(plus.webview.currentWebview().parent(),'sendList',{})
//      mui.fire(plus.webview.getWebviewById('data-center.html'),'sendList',{});
//      _init();
//  })
	function setDate1() {
		var d = new Date();
		var n =Number(d.getFullYear()-1);
		var m = Number(d.getMonth()+1);
		return n+"-"+(m<10?'0'+m:m)+"-"+(d.getDate()<10?'0'+d.getDate():d.getDate());
	}
	var getDate = function (val) {
		var options = {
			type:"date",
			beginDate: new Date(2014, 0, 01),
			endDate: new Date(),
			value: vm.myData[val]
		};
		var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				vm.myData[val] = rs.text;
				vm.list=[];
				if($.os.ios) {
//					$('#pullrefresh').pullRefresh().scrollTo(0, 0,100)
					$.scrollTo(0, 100); 
				} else {
					$.scrollTo(0, 100); 
				}

				_init();
				picker.dispose();
			});
			
			// 暂时禁止滚动
           mui('#pullrefresh').pullRefresh().setStopped(true);
	}
	mui('body').on('tap','.mui-backdrop',function(){
    // 取消暂时禁止滚动
    mui('#pullrefresh').pullRefresh().setStopped(false);
	})
	mui('body').on('tap','.mui-dtpicker-header',function(e){
    var target = e.target;
    if(target.tagName === 'BUTTON'){
        // 取消暂时禁止滚动
        mui('#pullrefresh').pullRefresh().setStopped(false); 
    }   
	})
	
	var setGrade = function () {
		var dom = document.getElementById("container");
		var myChart = echarts.init(dom);
		var dates = [];
		var values = [];
		var option = null;
		vm.list.forEach(function(item) {
			dates.unshift(item.time);
			values.unshift({
				value:Number(item.value),
				wave: item.wave || '-',
				rate: item.rate || '-'
			});
		});
		
//		console.log("dates:"+JSON.stringify(dates));
//		console.log("values:"+JSON.stringify(values));
		
		option = {
	        title: {
	            text: vm.dataVal,
	            left: 'center',
	            top: '5px',
	            textStyle: {
	                fontSize: 15
	            }
	        },
	        grid: {
	            top: '40px',
	            bottom: '65px',
	            left: '55px',
	            right: '30px'
	        },
	      dataZoom: {
			    show: true,
			    start: 0,
			    end: 100,
			    handleIcon: 'M10.7,11.9v-1.3H9.3v1.3c-4.9,0.3-8.8,4.4-8.8,9.4c0,5,3.9,9.1,8.8,9.4v1.3h1.3v-1.3c4.9-0.3,8.8-4.4,8.8-9.4C19.5,16.3,15.6,12.2,10.7,11.9z M13.3,24.4H6.7V23h6.6V24.4z M13.3,19.6H6.7v-1.4h6.6V19.6z',
			    handleStyle: {
			        color: '#b5acb9',
			        shadowBlur: 3,
			        shadowColor: 'rgba(0, 0, 0, 0.6)',
			        shadowOffsetX: 2,
			        shadowOffsetY: 2
			    }
			},
			tooltip: {
			    trigger: 'axis',
			    formatter: function (params) {
			        if (params[0] && params[0].data) {
			            return vm.dataVal + '<br/>' + params[0].data.value + '　时间:' + params[0].name;
			        }
			    },
			    position: function (pos, params, dom, rect, size) {
			        // 鼠标在左侧时 tooltip 显示到右侧，鼠标在右侧时 tooltip 显示到左侧。
			        var obj = {top: 60};
			        obj[['left', 'right'][+(pos[0] < size.viewSize[0] / 2)]] = 5;
			        obj.top = pos[1];
			        return obj;
			    }
			},
	        xAxis: {
	        	axisTick: {
	                alignWithLabel: true
	            },
	            data: dates
	        },
	        yAxis: {
	            scale: true,
	            axisTick: {
	                show: false
	            }
	        },
	        series: {
			    name: '取值',
			    type: 'line',
			    data: values,
			    lineStyle: {
			        normal: {
			            width: 1
			        }
			    }
			}
	    };
		
		 if (option && typeof option === "object") {
		    myChart.setOption(option, true);
		}
	}
	
	
	list = function () {
	   	return {
	   		upList: function (_type) {
	   			vm.isShowBtn = false;
	   			if(_type){
		   			mui.fire(plus.webview.getWebviewById('data-center.html'),'send',{});
		   			mui.fire(plus.webview.getWebviewById('data-center2.html'),'send',{});	
	   			}

//				console.log("参数："+_type);
	   			console.log("数据中心："+JSON.stringify(this.result));
		   		vm.list = this.result;
		   		vm.$nextTick(function () {
		   			setGrade();
		   		});
               
		   		vm.listOne =[];
		   		if(vm.list.length>20){ 
		   			for(var i = 0 ; i<20 ; i++){
		   			vm.listOne.push(vm.list[i])
		   		    }
		   		}else{
		   			vm.listOne = vm.list
		   		}

		   		$('#pullrefresh').pullRefresh().scrollTo(0, 0,100)

			   	return closeList(_type,'page',1) ,setGrade();
		   	},
	   		resetList: function () {
		   		vm.myData.page = 1;
				return vm.myData.page;
		   	},
		   	err: function (xhr,type,throws) {
//		   		setGrade();
				vm.isShowBtn = true;
		   	}
	   	}
	}()
	
	window.addEventListener("update",function(e){
	    vm.list = [];
	    if($.os.ios) {
//		$('#pullrefresh').pullRefresh().scrollTo(0, 0,100)
			$.scrollTo(0, 100); 
			} else {
				$.scrollTo(0, 100); 
			}
		function isPlus () {
			if (window.plus) { 
				vm.myData.url = BASE_URL + plus.storage.getItem('version') + '/dataCenter/getData';
				vm.myData.dataTypeId = e.detail.typeId;
				vm.dataVal = e.detail.typeVal;
				vm.danWei = e.detail.danWei;
//              console.log('vm.danWei...:'+vm.danWei)
				_init();
			}else {
				$.later(function(){
					isPlus();
				},100);
			}
		}
		isPlus();
	});
	window.addEventListener("sendIndex",function(e){ 
			vm.pIn = e.detail.pIn;

	});
	$.plusReady(function () {
		
		var myObj = plus.webview.currentWebview().obj;


	    
	    window.addEventListener("updateEcatr",function(e){
	    	

	    	mui.later(function(){

	    		setGrade();

	    	},500);
	    });
	    
	    window.addEventListener("scroll",function(e){
			var doc = $(".table-title")[0];
			var scrollTop = 0;
			if (!mui.os.ios) { 
				scrollTop = document.documentElement.scrollTop || window.pageYOffset || document.body.scrollTop;
			}else {
				scrollTop = Math.abs(e.detail.y);
			}
			
			if (scrollTop >= doc.offsetTop) {
				vm.fixed = true;
				$(".list-title-fixed")[0].classList.remove('mui-hidden');
			}else {
				vm.fixed = false;
			}
				
		});
		
		
		    
	});
		
})(mui)