/**
 * Created by XIAOKANG on 2017/11/22.
 */

(function(){


    var vm = new Vue({
        el:'.mui-content',
        data:{
            list:[],
            types:10,
            isShow:false,
            valName:'',//品名
            valNameId:'',//品名ID
            material:'',//材质
            specifications:'',//规格
            brand:'',//品牌
            weight:'',//数量
            provinceCity:'',//省市
            province:'',//省
            city:'',//市
            price:'',//价格
            contacts:'',//联系人
            telephone:'',//电话
            describe:'',//描述
            whether:false,//是否能够发布
            shaixuan:'',
            isIos:50
        },
        methods:{
          
            //获取材质
            getMaterial:function(){
                console.log('material...'+vm.material)
            },
            //获取规格
            getSpecifications:function(){
                console.log('specifications...'+vm.specifications)
            },
            //获取品牌
            getBrand:function(){
//          	mui.later(function(){
            		console.log('brand...'+vm.brand);
                	jsonObj.placesteel = vm.brand
            		  
//          	},1000)
               
            },
            //获取数量
            getNum:function(){
                console.log('weight...'+vm.weight);
                jsonObj.weight = vm.weight
            },
            //获取城市
            getCity:function(){
                changePage('city.html','选择城市',{})
            },
            //获取价格
            getPrice:function(){
                console.log('price...'+vm.price);
                jsonObj.price = vm.price
            },
            //获取联系人
            getContacts:function(){
//          	mui.later(function(){
	                console.log('contacts...'+vm.contacts);
	                jsonObj.contacts = vm.contacts
//          	},1000)
               
            },
            //获取电话
            getTelephone:function(){
                console.log('telephone...'+vm.telephone);
                jsonObj.contactNumber = vm.telephone
            },
            //获取描述
            getDescribe:function(){
//          	mui.later(function(){
            		console.log('describe...'+vm.describe);
                	jsonObj.description = vm.describe 
//          	},1000)
                
            },
            changeSelect:function(){
	             changePage('supplyAndDemand-select.html','',{isShow:true})
            }
          
        }
    });

      //定位
      // 扩展API加载完毕后调用onPlusReady回调函数
      document.addEventListener('plusready', onPlusReady,true); 
      function onPlusReady(){
          plus.geolocation.getCurrentPosition(function(p){
//            console.log(JSON.stringify(p));
//            console.log(JSON.stringify(p.address));
//            console.log(p.address.province);
//            console.log(p.address.city);
              vm.province =p.address.province;
              vm.city =p.address.city;
              jsonObj.province = vm.province;
              jsonObj.city = vm.city;
              vm.provinceCity = vm.province+vm.city;
//            console.log(vm.provinceCity)
          }, function(e){ 
              console.log('Geolocation error: ' + e.message);
              mui.toast('当前信号弱');
          } );
      }






    //根据ID获取指定品种信息接口
    var getOnlyVarieties = function (id) {
        http.post ( BASE_URL +'/supplyDemand/getBaseVarietyById',{
            id:id
        },function (data) {
            if(data.code==200){ 
                console.log('获取data::'+JSON.stringify(data.result));
                vm.material = data.result.texture;
                vm.specifications = data.result.specinfo;
            }
        },10000);

    };
       window.addEventListener('sendId',function(e){
        vm.valName = e.detail.valName;
		vm.shaixuan = vm.valName;
        vm.valNameId=e.detail.valId;
        getOnlyVarieties(vm.valNameId);
           if(vm.types==10){
               getWhetherVarieties(vm.valNameId,2);
           }else if(vm.types==20){
               getWhetherVarieties(vm.valNameId,1);
           }
        jsonObj.sampleId = vm.valNameId;
	    mui.fire(plus.webview.currentWebview().children()[0],'sendId',{valId:vm.valNameId});
    });

    var token= getState().token;
    //根据品名ID判断当前用户是否能够发布接口
    var getWhetherVarieties = function (id,type) {
        http.post ( BASE_URL +'/supplyDemand/checkBaseVarietyById/'+token,{
            id:id,
            type:type
        },function (data) {
        	console.log('根据品名ID判断当前用户是否能够发布接口data::'+JSON.stringify(data));
            if(data.code==200){
                if(!data.result){
                	mui.toast('当前品名已发布,不能再次发布');
                    return false
                }else if(data.result){
                    vm.whether = data.result
                }
                

            }else if(data.code==401){
            	 mui.toast(data.result)
            }else if(data.code==404 || data.code==500){
            	 mui.toast('系统繁忙，请稍后再试')
            }else{
            	 mui.toast('服务器繁忙')
            }

        },10000);

    };

    //发布接口
    var jsonObj={
        city:'', // 城市
        contactNumber: getState().nickName,//联系电话
        contacts: '',//联系人
        description: '',//描述
        placesteel: '',//品牌
        price: '',//供求价格
        weight: '',//供求重量
        province: '',//省份
        sampleId: '',//样本ID
        type: ''//类型：供应1，求购2

    };


    var wa = null; 
    var releasePurchase = function (supplyDemand) {
    	wa = plus.nativeUI.showWaiting();
        http.post ( BASE_URL +'/supplyDemand/releasePurchase/'+token,
            mui.extend(true, supplyDemand, {headers: {'Content-Type': 'application/json'}})
            
        ,function (data) {
        	wa.close();
            console.log('提交接口::'+JSON.stringify(data));
             
            if(data.code==200){
                console.log('提交接口::'+JSON.stringify(data.result));
               
          
                var btnArray = ['继续浏览', '我的供求'];
                mui.confirm('发布的供求信息会在当日晚上十二点下架您可以在供求->我的供求中查看', '发布成功', btnArray, function(e)
                {
                    if (e.index == 1)
                    {
                    	console.log('我的供求');
                        pullfreshPage('user-supplyAndDemand-frame.html','user-supplyAndDemand-list.html','我的供求',{types:vm.types,top:100,isClose:true})
                    }
                    else
                    {   
                    	
                    	console.log('继续浏览');
                    	mui.fire(plus.webview.currentWebview().opener(),'upList',{sta:vm.types})
                        var ws=plus.webview.currentWebview();
                        plus.webview.close(ws);


                    }
                });

             


            }
            else{
                mui.toast(data.result)
            }
        },10000);

    };

    //发布提交

    document.getElementById('btn').addEventListener('tap',function(){
        jsonObj.description = document.getElementById('groupInput').value
        console.log('传的参数jsonObj....'+JSON.stringify(jsonObj));
        if(vm.valName==''){
            mui.toast('请选择品名');
            return false
        }
        if(vm.weight.replace(/\s+/g, "")==''){
            mui.toast('请输入重量');
            return false 
        }
        if(!(/^[0-9]*$/.test(vm.weight))){
            mui.toast('输入重量有误');
            return false
        }
        if(vm.provinceCity==''){
            mui.toast('请选择城市');
            return false;
        }
        if(vm.price.replace(/\s+/g, "")==''){
            mui.toast('请输入价格'); 
            return false
        }
        if(Number(vm.price)<3000 || Number(vm.price)>8000){
            mui.toast('输入价格有误');
            return false
        }
        if(!(/^[0-9]*$/.test(vm.price))){
            mui.toast('输入价格有误');
            return false
        }
        if(vm.contacts.replace(/\s+/g, "")==''){
            mui.toast('请输入联系人');
            return false
        }
        if(vm.telephone.replace(/\s+/g, "")==''){
            mui.toast('请输入电话');
            return false
        }
        if(!(/^1[34578]\d{9}$/.test(vm.telephone))){
            mui.toast('请输入正确电话');
            return false;
        }
        if(!vm.whether){
            mui.toast('当前品名已发布,不能再次发布');
            return false
        }
      releasePurchase(jsonObj);


    });


    window.addEventListener('send',function(e){
    	vm.province =e.detail.province;
        vm.city =e.detail.city;
        jsonObj.city = vm.city;
        jsonObj.province = vm.province;
    	vm.provinceCity = vm.province+vm.city;
    	console.log(vm.provinceCity)
    });
    //解决软键盘遮挡输入框
    $('input').on('focus',function(event){      
       //自动反弹 输入法高度自适应
        var target = this;
        setTimeout(function(){
            target.scrollIntoViewIfNeeded();
        },400);
    });
    $('textarea').on('focus',function(event){      
       //自动反弹 输入法高度自适应
        var target = this;
        setTimeout(function(){
            target.scrollIntoViewIfNeeded();
        },400);
    });

    mui.plusReady(function () {
    	var curr = plus.webview.currentWebview();
    	document.getElementById('title').innerHTML = curr.pathName;
    	console.log(curr.pathName); 
        vm.telephone= getState().nickName;
        console.log(vm.telephone)
        vm.types = curr.types;
//      console.log(vm.types)
        if(vm.types==10){
            jsonObj.type = 2;
        }else if(vm.types==20){
            jsonObj.type = 1; 
        }
         if(mui.os.ios){
            vm.isIos = 50
//          console.log(":苹果")
        }else {
            vm.isIos = 100
//           console.log(":安卓")
        }
        plus.webview.currentWebview().setStyle({
			softinputMode: "adjustResize" // 弹出软键盘时自动改变webview的高度

		}); 
		 



    })
})();