/**
 * Created by XIAOKANG on 2017/11/27.
 */

(function(){
    var vm = new Vue({
        el:'.mui-content',
        data:{
            passW:'',//密码
            phone:'',//手机号码
            vCode:'',//输入的验证码
            getCode:''//请求到的验证码

        },
        methods:{
            getPassword:function(){
                console.log('passW...'+vm.passW)
            },
            getPhone:function(){
                console.log('phone...'+vm.phone)
            },
            getVCode:function(){
                console.log('vCode...'+vm.vCode)
            }

        }
    });

    var token= getState().token;

//获取修改手机号验证码接口

    var registerSendSms = function (cellphone) {
        http.post ( BASE_URL +'/person/getCaptchasCode4ModifyCellphone/'+token,{
            newCellphone: cellphone
        },function (data) {
        	
            if(data.code==200){
                console.log('获取修改手机号验证码接口::'+JSON.stringify(data));
                vm.getCode = data.result;
                console.log('获取修改手机号验证码::'+vm.getCode);
            }            
            else if(data.code==401){
            	 mui.toast(data.result)
            }else if(data.code==404){
            	 mui.toast('系统繁忙，请稍后再试')
            }else if (data.code==500){
            	 mui.toast(data.result)
            }



        },10000);

    };

//倒计时
    var countdown=60;
    function setTime() {
        if (countdown == 0) {
            document.getElementById('btn').innerHTML='60秒后重发';
            document.getElementById('btn').style.color='#099fde';
            document.getElementById('btn').style.border='1px solid #099fde';
            document.getElementById('btn').removeAttribute("disabled");
            countdown = 60;
//          vm.getCode = "";
            return;
        } else {
            document.getElementById('btn').innerHTML=  countdown + "秒后重发";
            document.getElementById('btn').style.color='#cccccc';
            document.getElementById('btn').style.border='1px solid #cccccc';
            document.getElementById('btn').setAttribute('disabled',"true");
            countdown--;
        }
        setTimeout(function() {
            setTime()
        },1000)
    }
//点击请求获取验证码
    function getRegisterSendSms(){
        if(vm.phone =='' || vm.phone ==null){
            mui.toast('请先输入手机号');
            return false;
        }
        if(!(/^1[34578]\d{9}$/.test(vm.phone))){
            mui.toast('请输入正确手机号');
            return false;
        }
        setTime();
        registerSendSms(vm.phone)
//      console.log('url..'+ BASE_URL +'/person/getCaptchasCode4ModifyCellphone/'+token)
    }

//监听点击请求获取验证码
    document.getElementById("btn").addEventListener('tap', function(){
        document.getElementById("locked").focus();
        getRegisterSendSms()
    });

//提交接口
    var changePhone = function (cellphone,password) {
        http.post ( BASE_URL +'/person/modifyCellphone/'+token,{
            cellphone: cellphone,
            password: password 
        },function (data) {  
        	console.log('提交接口::'+JSON.stringify(data.result));
            if(data.code==200){
                console.log('提交接口::'+JSON.stringify(data.result));
                mui.toast(data.result);
                mui.back();
            }
            else{
                mui.toast(data.result)
            }



        },10000);

    };


    document.querySelector('.releaseBtn').addEventListener('tap',function(){
        if(vm.passW == '' || vm.passW == null){
            mui.toast('密码不能为空');
            return false;
        }
        if(vm.phone=='' || vm.phone==null){
            mui.toast('手机号码不能为空');
            return false;
        }
        if(vm.vCode =='' || vm.vCode==null){
            mui.toast('验证码不能为空');
            return false;
        }
        if(vm.vCode !=vm.getCode){
            mui.toast('验证码不一致');
            return false;
        }
        changePhone(vm.phone,vm.passW);
    });



    mui.plusReady(function(){
    	
    	
    	plus.webview.currentWebview().setStyle({
      		softinputMode: "adjustResize" // 弹出软键盘时自动改变webview的高度
      	});

    });
})();