/**
 * Created by XIAOKANG on 2018/1/18.
 */

(function($){
    vm = new Vue({
        el: '.mui-content',
        data: {
            phoneNum:'',//电话号码
            lockedNum:'',//输的验证码
            passwordNum:'',//密码
            passwordNumDo:'',//确认密码
            getRegisterSendSms:''//请求得到的验证码
        },
        methods:{

            getPhoneNum:function(){//获取电话号码
                console.log('电话号码'+vm.phoneNum);
            },
            getLockedNum:function(){//获取验证码
                console.log('获取验证码'+vm.lockedNum);
            },
            getPasswordNum:function(){//获取密码
                console.log('获取密码'+vm.passwordNum);
            },
            getPasswordNumDo:function(){//获取确认密码
                console.log('获取确认密码'+vm.passwordNumDo);
            }

        }
    });



    //获取忘记密码验证码接口

    var registerSendSms = function (cellphone,cellphoneSecret) {
        http.post ( BASE_URL +'/userLogin/forgetPwdSendSms',{
            cellphone: cellphone,
            cellphoneSecret: cellphoneSecret
        },function (data) {
            if(data.code==200){
                console.log('获取忘记密码验证码接口::'+JSON.stringify(data));
                vm.getRegisterSendSms = data.result;
                if(vm.getRegisterSendSms ==''){
                    mui.toast(data.remark);
                }else{
                    vm.getRegisterSendSms = data.result;
                    setTime();//倒计时
                }
            }
            else{
                mui.toast('系统出错')
            }
        },10000);

    };
    //修改密码信息接口

    var forgetPwd = function (cellphone,password,captchasCode,cellphoneSecret) {
        http.post ( BASE_URL +'/userLogin/updatePassword',{
            cellphone: cellphone,
            password: password,
            captchasCode: captchasCode,
            cellphoneSecret: cellphoneSecret
        },function (data) {
            console.log('修改密码信息接口::'+JSON.stringify(data)); 
            if(data.code==200){
                if(data.result == '操作成功'){
                    mui.toast('重置密码成功');
                    mui.back();
                }else if (data.result== 'code'){
                    mui.toast(data.remark);
                }
            }
            else{
                mui.toast(data.result)
            }
        },10000);

    };



    //倒计时
    var countdown=60;
    function setTime() {
        if (countdown == 0) {
            document.getElementById('btn').innerHTML='获取手机验证码';
            document.getElementById('btn').style.color='#099fde';
            document.getElementById('btn').removeAttribute("disabled");
            countdown = 60;
            vm.getRegisterSendSms = "";
            return;
        } else {
            document.getElementById('btn').innerHTML="再次获取(" + countdown + "s)";
            document.getElementById('btn').style.color='#cccccc';
            document.getElementById('btn').setAttribute('disabled',"true");
            countdown--;
        }
        setTimeout(function() {
            setTime()
        },1000)
    }
    //点击请求获取验证码
    function getRegisterSendSms(){
        if(vm.phoneNum =='' || vm.phoneNum ==null){
            mui.toast('请先输入手机号');
            return false;
        }
        if(!(/^1[34578]\d{9}$/.test(vm.phoneNum))){
            mui.toast('请输入正确手机号');
            return false;
        }
        //setTime();
        var num =  hex_md5(vm.phoneNum)
        registerSendSms(vm.phoneNum,num)
    }

    //监听点击请求获取验证码
    document.getElementById("btn").addEventListener('tap', function(){
        document.getElementById("locked").focus();
        getRegisterSendSms()
    });


    //提交忘记密码
    document.getElementById("loginBtn").addEventListener('tap', function(){


        if(vm.phoneNum == '' || vm.phoneNum == null){
            mui.toast('手机号不能为空');
            return false;
        }
        if(vm.lockedNum=='' || vm.lockedNum==null){
            mui.toast('验证码不能为空');
            return false;
        }
        if(vm.passwordNum =='' || vm.passwordNum==null){
            mui.toast('密码不能为空');
            return false;
        }
        if(vm.passwordNum.length<6){
            mui.toast('密码至少为六位');
            return false;
        }
        if(vm.passwordNumDo ==''  ||vm.passwordNumDo==null){
            mui.toast('确认密码不能为空');
            return false;
        }
        if(vm.passwordNum != vm.passwordNumDo){
            mui.toast('密码不一致');
            return false;
        }
        if(vm.getRegisterSendSms != vm.lockedNum){
            mui.toast('验证码不一致');
            return false;
        }
        var num =  hex_md5(vm.phoneNum) 
        forgetPwd(vm.phoneNum,vm.passwordNum,vm.getRegisterSendSms,num)

    });

    $.plusReady(function () {


    });

})(mui);
