/**
 * Created by XIAOKANG on 2017/11/17.
 */
(function($){
    vm = new Vue({
        el: '.mui-content',
        data: {
            typeSat:false,
            personType:1,
            WeChatLogin:'',
            gender:'男',
            phoneNum:'',//电话号码
            lockedNum:'',//输的验证码
            passwordNum:'',//密码
            passwordNumDo:'',//确认密码
            getRegisterSendSms:''//请求得到的验证码
        },
        methods:{
            //call: function () {
            //    changP(4);
            //},
            changeAgreement:function(){//跳转积微指数用户注册协议
                changePage('agreement.html','积微指数用户注册协议',{})
            },
            changeCheck:function(){
                vm.typeSat = !vm.typeSat;
            },
            changePerson:function(val){//改变性别
                vm.personType = val;
                if(vm.personType==1){
                    vm.gender = '男'
                }else if(vm.personType==2){
                    vm.gender = '女'
                }
            },
            getPhoneNum:function(){//获取电话号码
                console.log('电话号码'+vm.phoneNum);
            },
            getLockedNum:function(){//获取验证码
                console.log('获取验证码'+vm.lockedNum);
            },
            getPasswordNum:function(){//获取密码
                console.log('获取密码'+vm.passwordNum);
            },
            getPasswordNumDo:function(){//获取确认密码
                console.log('获取确认密码'+vm.passwordNumDo);
            }

        }
    });

    function changP(type){
        mui.fire(plus.webview.getLaunchWebview(), 'login-success',{type:type});
    }
    
    //注册接口
    var doRegister = function (cellphone,gender,password,cellphoneSecret) {
        http.post ( BASE_URL +'/person/doRegister',{
            cellphone: cellphone,
            gender: gender,
            password: password,
            cellphoneSecret:cellphoneSecret
        },function (data) {
            if(data.code==200){
                console.log('注册接口::'+JSON.stringify(data.result));
                mui.toast(data.result);
                mui.back();
            }
            else{
                mui.toast(data.result)
            }
        },10000);

    };
    
    //获取注册验证码接口
    var registerSendSms = function (cellphone,cellphoneSecret) {
        http.post ( BASE_URL +'/person/registerSendSms',{
            cellphone: cellphone,
            cellphoneSecret:cellphoneSecret
        },function (data) {
            if(data.code==200){
            	console.log('获取注册验证码接口::'+JSON.stringify(data));
            	vm.getRegisterSendSms = data.result;
            	if(vm.getRegisterSendSms ==''){
            		mui.toast(data.remark);
            	}else{
            		vm.getRegisterSendSms = data.result;
            		setTime();//倒计时
            	}
                console.log('获取注册验证码::'+vm.getRegisterSendSms);
            }
            else{
                mui.toast('系统出错')
            } 
        },10000); 

    };
 
    //倒计时 
    var countdown=60;
    function setTime() {
        if (countdown == 0) {
            document.getElementById('btn').innerHTML='获取手机验证码';
            document.getElementById('btn').style.color='#099fde';
            document.getElementById('btn').removeAttribute("disabled");
            countdown = 60;
            vm.getRegisterSendSms = "";
            return;
        } else {
            document.getElementById('btn').innerHTML="再次获取(" + countdown + "s)";
            document.getElementById('btn').style.color='#cccccc';
            document.getElementById('btn').setAttribute('disabled',"true");
            countdown--;
        }
      
        setTimeout(function() {
            setTime()
        },1000)
    }

    //点击请求获取验证码
    function getRegisterSendSms(){
        if(vm.phoneNum =='' || vm.phoneNum ==null){
            mui.toast('请先输入手机号');
            return false;
        }
        if(!(/^1[34578]\d{9}$/.test(vm.phoneNum))){
            mui.toast('请输入正确手机号');
            return false;
        }
        var t =  hex_md5(vm.phoneNum)
        registerSendSms(vm.phoneNum,t)
    }

    //监听点击请求获取验证码
    document.getElementById("btn").addEventListener('tap', function(){
        document.getElementById("locked").focus();
    	getRegisterSendSms()
    });


    //提交注册
    document.getElementById("loginBtn").addEventListener('tap', function(){

        if(vm.phoneNum == '' || vm.phoneNum == null){
            mui.toast('手机号不能为空');
            return false;
        }
        if(vm.lockedNum=='' || vm.lockedNum==null){
            mui.toast('验证码不能为空');
            return false;
        }
        if(vm.passwordNum =='' || vm.passwordNum==null){
            mui.toast('密码不能为空');
            return false;
        }
        if(vm.passwordNum.length<6){
            mui.toast('密码至少为六位');
            return false;
        }
        if(vm.passwordNumDo ==''  ||vm.passwordNumDo==null){
            mui.toast('确认密码不能为空');
            return false;
        }
        if(vm.passwordNum != vm.passwordNumDo){
            mui.toast('密码不一致');
            return false;
        }
        if(vm.getRegisterSendSms != vm.lockedNum){
            mui.toast('验证码不一致');
            return false;
        }
        if(!vm.typeSat){
            mui.toast('请阅读并同意"积微指数用户注册协议"');
            return false;
        }
        var t =  hex_md5(vm.phoneNum)
        doRegister(vm.phoneNum,vm.gender,vm.passwordNum,t)

    });
     window.addEventListener("sendIstrue",function(e){

        vm.typeSat = e.detail.sendIstrue;

    });
    $.plusReady(function () {    	
        vm.WeChatLogin = plus.webview.currentWebview().WeChatLogin;
	    mui.back = function () {
	    	journal.dowPage.call(2); 
	    	plus.navigator.setStatusBarStyle('light');
	    	plus.webview.close(plus.webview.currentWebview(),"auto", 200);
	    }

    });

})(mui);