(function(){
    vm = new Vue({
        el: '.mui-content',
        data: {
            myId:'',
        	topDate: '',//年月日
        	topDateOne: '',//年月
            listHeader:[],
            listHeaderOne:'',
            listIdOne:'',
            list:[],
            isSpanBtn:false,
		    //用于保存计算后的展示价格
		    priceList : [],
		    //用于保存上调下调，平盘的状态
		    choice : [],
		    //用于保存上调下调的值
		    waveVal : [],
		
		    //用于保存加减价调整的数据
		    priceDiff : [],
		    //用于保存参与计算的加减价格数据
		    calcDiff : [],
		    //用于保存公共备注
		    comment: {},
		    //用于保存公共备注是否处于编辑状态
		    commentEditSta : false,
		    //用于保存每个修改备注
		    comments : [],
		    //用于控制每个备注的是否处于编辑状态
		    commentsEditStatus : [],
		
		    //保存选中的品牌
		    choiceBrand : {},

        },
        methods:{
        	spanBtn:function(){
        		vm.isSpanBtn =! vm.isSpanBtn
        	},
        	changeName:function(i){//获取选择名字
        		vm.isSpanBtn = false
        		mui('.mui-popover').popover('hide',document.getElementById("openPopover"));
        		vm.listHeaderOne=document.getElementsByClassName('name')[i].innerHTML;
        		console.log(vm.listHeaderOne)
        		vm.list=[];
        		vm.myId = vm.listHeader[i].id
        		getList(vm.listHeader[i].id)
        	},
        	openAdjust:function(){
//      		vm.priceDiff = angular.copy(vm.calcDiff)
        		vm.priceDiff = copyObj(vm.calcDiff)
//      		changePage('releasePrice_Add.html','加减价调整',{list:vm.priceDiff})
        		pullfreshPage('releasePrice_Add_fa.html','releasePrice_Add.html','加减价调整', {list:vm.priceDiff});
        	},

            changeShow:function(i){
            	vm.list[i].isShow = !vm.list[i].isShow
            },         
            changeShowText:function(i){
                if(!vm.list[i].isEdit){
                	vm.list[i].isEdit = true ;
                	document.getElementsByClassName("tet")[i].focus()
                	
                }
                vm.list.map(function(ele) {
                	ele.comments =
                		ele.comments.replace(/<br\s*\/?>/g, "\n")
                	
                })
            },

       		onBlur:function(i){ //失去焦点
				vm.list[i].isEdit  = false;
				vm.list.map(function(ele) {
                	ele.comments =
                		ele.comments.replace(/\n/g, "<br/>")
                	
                })
    		},
            setDateOne: function () {
        		document.activeElement.blur();//收起虚拟键盘
		        event.preventDefault(); // 阻止默认事件---阻止页面刷新
				getDateOne(); 
			},
            setDate: function () {
        		document.activeElement.blur();//收起虚拟键盘
		        event.preventDefault(); // 阻止默认事件---阻止页面刷新
				getDate(); 
			},
			stopPragation: function (e) {
				console.log("点击")
                document.querySelector("body").style.top = -50+"px"
				window.scrollTo(50,100);				 	             
				e.cancelBubble = true; 
			},
			
			 //点击上调，下调，平盘的回掉函数
			upAdjust: function (index,e) {
				e.cancelBubble =true;
		        if(vm.choice[index] === 'plate'){
		            vm.waveVal[index] = null
		        }      
        		vm.choice[index] = 'up';
        		getPriceResult() 
			},
			downAdjust: function (index,e) {

				e.cancelBubble =true;
		        if(vm.choice[index] === 'plate'){
		            vm.waveVal[index] = null
		        }      
        		vm.choice[index] = 'down';
        		getPriceResult() 
			},
			plateAdjust: function (index,e) {
				e.cancelBubble = true;
		        vm.waveVal[index] = 0;
                vm.choice[index] = 'plate';
                getPriceResult()
			},
			calculate:function (ind) {
				document.activeElement.blur();//收起虚拟键盘
		    	event.preventDefault(); // 阻止默认事件---阻止页面刷新
		        if(typeof vm.waveVal[ind] === 'undefined'){
		            vm.waveVal[ind] = null;
		            mui.toast('请输入数字')
		            return;
		        }
		        getPriceResult()
    		},
	    	publish:function(){
	    		var title = document.getElementById("a").innerHTML+document.getElementById("b").innerHTML+document.getElementById("c").innerHTML+document.getElementById("d").innerHTML+document.getElementById("e").innerHTML+document.getElementById("f").innerHTML+document.getElementById("g").innerHTML
                console.log(title)
	    		var obj = {}
		        obj.title = title
		        obj.comments = null;
		        obj.apId = vm.choiceBrand.id;
		        obj.list = [];
		        vm.list.forEach(function(ele,index)  {
		            ele.list.forEach(function(item,ind){
	                	item.comments = ele.comments
	                	vm.priceList[index].list[ind].comments=item.comments.replace(/<br\s*\/?>/g, "\n");
		                obj.list.push(vm.priceList[index].list[ind])
		            })
		        })
		       
		        obj.list.map(function(ele) {
		            if(ele.price === '-'){
		                ele.price = 0;
		                ele.move = 0;
		            }
		            return ele;
		        })
		        console.log("obj.....:"+JSON.stringify(obj))
		        for (var i =0 ; i<obj.list.length ; i++) {
		        	if(obj.list[i].price == 0 ){
		        		obj.list.splice(i,1);
		        	}
		        	
		        }
		        console.log("改obj.....:"+JSON.stringify(obj))   
		        var t =  hex_md5(vm.myId)		        
		        release(obj,vm.myId,t)//发布
       
	    	}
        }

    }); 

    function createTemData(data,tag) {
        vm.choice = [];
        vm.waveVal = [];
        vm.priceDiff = [];
        vm.openState = [];
        data.forEach(function(ele)  {
//      	console.log('ele...:'+JSON.stringify(ele))
            vm.waveVal.push(0)
            vm.openState.push(false);
            vm.priceDiff.push({
                name: ele.name,
                list: ele.list.map(function(item, index)  {
                    if (!index) {
                        return {
                            spec: item.spec,
                            price: 0,
                            isFixed: item.isFixed
                        }
                    }
                    return {
                        spec: item.spec,
                        price: item.price - ele.price,
                        isFixed: item.isFixed
                    }
                })
            })
            vm.choice.push('plate');
        })
      
        vm.calcDiff = copyObj(vm.priceDiff)
//      vm.calcDiff = vm.priceDiff
//		console.log("calcDiff.....:"+JSON.stringify(vm.calcDiff))
//		console.log("priceDiff.....:"+JSON.stringify(vm.priceDiff))
		
    }
    function copyObj(obj) {
        	
	    return JSON.parse(JSON.stringify(obj))
	}
     /* 
        计算价格函数
        修改上调下调平盘状态和修改上调下调值时触发计算，
        加减价调整页面也确定后，也触发计算。
        计算法则：以加减价调整数据的是否为空为最先条件判断，返回价格是否为
    */
    function getPriceResult() {
        var disabled = true;
        vm.priceList = [];
        vm.list.forEach(function(ele, index){
//      	console.log(".....:"+JSON.stringify(ele))
            vm.priceList.push({
                list: ele.list.map(function(item, ind) {

                    //判断调价页面是否为null如果是，则首页价格为-，
                    if (vm.calcDiff[index].list[ind].price === null) {
                        return {
                            spec: item.spec,
                            price: '-'
                        }
                    }
                    //否则开始计算,计算时，计算法则由对应的上调，下调和平盘状态决定
                    else {
                        var price;
//                      console.log("vm.choice[index]..:"+vm.calcDiff[index].list[ind].price)

                        switch (vm.choice[index]) {
                            case 'up':
                                price = ele.price - ( -vm.waveVal[index]) - ( -vm.calcDiff[index].list[ind].price)
                                break;
                            case 'down':
                                price = ele.price - vm.waveVal[index] - ( -vm.calcDiff[index].list[ind].price)
                                break;
                            case 'plate':
                                price = ele.price - ( -vm.calcDiff[index].list[ind].price);
                                break;
                            default:
                                price = item.price;
                        }
                        var move = price - item.price;
                        if(move && disabled){
                            disabled = false;
                        }
                        return {
                            spec: item.spec,
                            move: move,
                            price: price,
                            configId:item.configId
                        }
                    }
                })
            })
            
//      	console.log("priceList.....:"+JSON.stringify(vm.priceList))
            if (vm.calcDiff.length) {
                vm.calcDiff[index]
            }
            vm.disabled = disabled;
        })
    }
    
    var getDateOne = function () {
		var item = new Date(vm['topDateOne']).pattern("yyyy年MM");
		var options = {
			type:"month",
			beginDate: new Date(),
			endDate: new Date(Number(new Date().getFullYear()+1), Number(new Date().getMonth())),
			value: item
		};
		
		var picker = new mui.DtPicker(options);
			picker.show(function(rs) {
				vm['topDateOne'] = rs.y.text + '年'+rs.m.text+ '月';
				picker.dispose();
				console.log(rs.text)//获取选中时间
			});
	}
   
   
    var getDate = function () {
		var item = new Date(vm['topDate']).pattern("yyyy年MM月dd");
		var options = {
			type:"date",
			beginDate: new Date(Number(new Date().getFullYear()), Number(new Date().getMonth()),1),
			endDate: new Date(Number(new Date().getFullYear()+1), Number(new Date().getMonth()),1),
			value: item
		};
		
		var picker = new mui.DtPicker(options);
			picker.show(function(rs) {
				vm['topDate'] = rs.y.text + '年'+rs.m.text+ '月'+ rs.d.text+ '日';
				picker.dispose();
				console.log(rs.text)//获取选中时间
			});
	}
     //获取当前用户能够调价的钢厂信息
    var getInfo = function () {
        http.post ( BASE_URL +'/riseManager/getPlaceSteelList/'+getState().token,{

        },function (data) {
            if(data.code==200){
                console.log('获取当前用户能够调价的钢厂信息::'+JSON.stringify(data));
                vm.listHeader = data.result
                vm.listHeaderOne = data.result[0].name
                vm.listIdOne = data.result[0].id
                vm.myId = data.result[0].id
                getList(data.result[0].id)
            }else{
                mui.toast(data.result)
            }


 
        },10000);

    };
    //根据调价ID获取调价配置信息
     var getList = function (id) {
        http.post ( BASE_URL +'/riseManager/getRiseInfoByRelationId/'+getState().token,{
        	id:id
        },function (data) { 
            if(data.code==200){
//              console.log('根据调价ID获取调价配置信息::'+JSON.stringify(data));
                 createTemData(data.result.list)
               
                for (var i = 0;i<data.result.list.length;i++){
                    var d = data.result.list[i];
                    var ex = mui.extend(d,{
                        isShow:false,
                        isChange:false,
                        isEdit:false,
                        timeTypes:0                       
                    });
                    vm.list.push(ex);	
                }          

                getPriceResult()
               
                console.log('根据调价ID获取调价配置信息::'+JSON.stringify( vm.list));
                vm.list.map(function(ele) {
                	ele.comments =
                		ele.comments.replace(/\n/g, "<br/>")
                	
                })
            }
            else{
                mui.toast(data.result)
            }



        },10000);

    };
        //发布
     var release = function (riseMsg,id,secret) {
        http.post ( BASE_URL +'/riseManager/saveRiseInfo/'+getState().token+"?id="+id+"&secret="+secret,
         mui.extend(true, riseMsg ,{headers: {'Content-Type': 'application/json'}})

        ,function (data) { 
            if(data.code==200){
                console.log('发布::'+JSON.stringify(data));
                var h = "<span style='font-size: 14px'>发布成功</span>";
				showConfirm( h ,function(e){
					if (e) {
                       mui.toast(data.result)
                       mui.back()
					}
				})
            }else{
                mui.toast(data.result)
            }



        },10000);

    };
    
    window.addEventListener('sendList',function(event){
     	console.log("确认调整的数据"+JSON.stringify(event.detail.listChange))
     	vm.calcDiff = copyObj(event.detail.listChange)
     	getPriceResult()
    });

    mui.plusReady(function () {
//  	plus.webview.currentWebview().setStyle({
//    		softinputMode: "adjustResize" // 弹出软键盘时自动改变webview的高度
//      });
    	mui('.bottomPopover').popover('toggle');
    	vm.topDateOne = new Date().pattern("yyyy年MM月");
    	vm.topDate = new Date().pattern("yyyy年MM月dd日");
        getInfo()
       
    });
})();
