/**
 * Created by XIAOKANG on 2017/11/16.
 */
(function(){
    var vm = new Vue({
        el:'.mui-content',
        data:{
            types:5,//账号登录
            sta:5,//微信登录
            isIos:true,
            version:'',
            cellphone:'',
            gender:'',
            personName:'',
            company:'',
            avatar:null,
            supplySum:'',//供求条数
            saleSum:'',//销售条数
            riseType:10,//钢铁调价权限，riseType   空代表不能调价，0  代表线材  ，1  代表板材
            isShow:false//是否有权限
        },
        methods:{
        	changeModifyPrice:function(){//跳转钢铁调价
        		if(vm.riseType == 0){//跳线材
        			console.log("跳线材")
//      			 changePage('releasePrice_WireRod.html','发布指导价格',{})
        			 pullfreshPage('releasePrice_WireRod_fa.html','releasePrice_WireRod.html','发布指导价格', {});
        			
        		}else if(vm.riseType == 1){//跳板材
        			console.log("跳板材")
//      			 changePage('releasePrice_Board.html','发布指导价格',{})
        			 pullfreshPage('releasePrice_Board_fa.html','releasePrice_Board.html','发布指导价格', {});
        			
        		}

            },
            changeRegister:function(){//跳转注册
                changePage('register.html','注册',{})
                plus.navigator.setStatusBarStyle('dark');
            },
            changeSet:function(){//跳转设置
                if(vm.types==10 || vm.sta==10){
                    changePage('aboutUs.html','设置',{cellphone:vm.cellphone})
                }else {
                    mui.toast('请先登录')
                }

            },
            changeLogin:function(){//跳转登录
				mui.fire(plus.webview.getLaunchWebview(), 'show-signin');
				mui.fire(plus.webview.getWebviewById('/templates/user/login.html'),'loginInfo',{types:15});
            },
            changePersonal:function(){//跳转个人资料

                changePage('personalData.html','个人资料',{cellphone:vm.cellphone,gender:vm.gender,company:vm.company,personName:vm.personName,avatar:vm.avatar})            		  
            },
            changePerfectInfo:function(){//跳转完善信息
                changePage('perfectInfo.html','完善信息',{})
            },
            changejWcollege:function(){//跳转积微学院
                plus.statistic.eventTrig("academic",{});
                pullfreshPage('jWcollege-frame.html','jWcollege-list.html','积微学院',{top:90})
            },
            changeFeedback:function(){
            	changePage('feedback.html','意见反馈',{})
            },
             changeOffer:function(){
            	changePage('myOffer.html','提交数据',{})
            }
        }
    });

    //检查更新 type=1是安卓。=2是苹果
    var upData = function (version,type) {
        http.post ( BASE_URL +'/userLogin/getVersion',{
            version: version,
            type: type
        },function (data) {
            if(data.code==200){
                console.log('检查更新.....'+JSON.stringify(data));
                if(data.result==null){
                    mui.toast('已是最新版本')
                }else{
                    if(data.result.forceUpdate){
                        console.log(true);
                        mui.alert('更新新版本','更新',function(){
                            window.location.href=data.result.downloadLink
                        })
                    }else{
                        console.log(false);
                        var btnArray=['确定','取消'];
                        mui.confirm('是否更新版本?','',btnArray,function(e){
                            if(e.index == 0){
                                window.location.href=data.result.downloadLink

                            }else {
                                return false
                            }
                        });
                    }
                }

            }
            else{
                mui.toast(data.result)
            }
        },1000);

    };
    
    
    //根据token获取个人信息接口
    var getInfo = function (token) {
    	if(getState().token == '' || getState().token == null )return
        http.post ( BASE_URL +'/userLogin/getUserByToken',{
            token: token
        },function (data) {
//          console.log('根据token获取个人信息接口::'+JSON.stringify(data)); 
            if(data.code==200){
            	
            	vm.supplySum = data.result.supplySum;//采购数量
                vm.saleSum = data.result.saleSum;//销售数量
            	

            }else if(data.code==401){
            	 mui.toast(data.result)
            	 console.log(data.result)
            }else if(data.code==404 || data.code==500){
            	 mui.toast('系统繁忙，请稍后再试')
            }else{
            	 mui.toast('服务器繁忙')
            }
           

        },10000);

    };
    //检查是否更新
    document.querySelector('.isUp').addEventListener('tap',function(){
        upData(vm.version,1)
    });
  
    mui.plusReady(function () {
    	if(getState().token != ''){
    		getInfo(getState().token)
    	}
    	
        vm.version = plus.storage.getItem('version');
        if(mui.os.ios){
            vm.isIos = false
        }else {
            vm.isIos = true
        }
        
    //监听手机号登录成功事件
    window.addEventListener('userInfo',function(event){
        vm.types = event.detail.types;
        vm.sta = event.detail.sta;
        vm.cellphone = event.detail.cellphone;//电话号码
        vm.gender = event.detail.gender;//性别
        vm.personName = event.detail.personName;//姓名
        vm.company = event.detail.company;//公司名
        vm.avatar = event.detail.img;//头像图片
        vm.supplySum = event.detail.supplySum;//采购数量
        vm.saleSum = event.detail.saleSum;//销售数量
        vm.riseType = event.detail.riseType;//钢铁调价权限
        console.log('vm.avatar..'+vm.avatar);
//      console.log('vm.riseType..'+vm.riseType);
//      console.log('vm.cellphone..'+vm.cellphone);
//      console.log('vm.gender..'+vm.gender);
//      console.log('vm.company..'+vm.company);
//      console.log('vm.saleSum..'+vm.saleSum);
//      console.log('vm.supplySum..'+vm.supplySum);

    });
    //监听上传头像事件
    window.addEventListener('sendImg',function(event){
        vm.avatar = event.detail.avatar;//头像图片
    });
    //监听修改性别事件
    window.addEventListener('sendMyGender',function(event){//修改的
        vm.gender = event.detail.myGender;
    });
     //监听修改公司事件
    window.addEventListener('sendCompany',function(event){
        vm.company = event.detail.myCompany;//头像图片
    });
     //监听修改名字事件
      window.addEventListener('sendName',function(event){
        vm.personName = event.detail.myName;
        console.log('vm.personName...:'+vm.personName)
    });
    
     //监听是否有百家权限
//    window.addEventListener('isSample',function(event){
//      vm.isShow = event.detail.isShow;
//      console.log('vm.isShow...:'+vm.isShow)
//  });
    //监听微信登录成功并信息已完善事件
    window.addEventListener('send',function(event){
        vm.types = event.detail.types;
        vm.sta = event.detail.sta;
        vm.cellphone = event.detail.cellphone;//电话
        vm.avatar = event.detail.img;//头像图片
        vm.gender = event.detail.gender;//性别
        vm.company = event.detail.company;//公司名
        vm.personName = event.detail.personName;//姓名
        vm.supplySum = event.detail.supplySum;//采购数量
        vm.saleSum = event.detail.saleSum;//销售数量
        vm.riseType = event.detail.riseType;//钢铁调价权限
//      console.log('vm.avatar...'+vm.avatar);
          console.log('vm.supplySum...'+vm.supplySum);
          console.log('vm.saleSum...'+vm.saleSum)
    });
       //监听微信登录成功并信息没有完善事件
    window.addEventListener('sendNo',function(event){
        vm.types = event.detail.types;
        vm.sta = event.detail.sta;
        vm.avatar = event.detail.img;//头像图片
        //console.log('vm.avatar...'+vm.avatar);
        //console.log('vm.types...'+vm.types);
        console.log('vm.sta...'+vm.sta)
    });
   
   //监听供求过来的
    window.addEventListener('sendSta',function(event){
        vm.types = event.detail.types;
        vm.sta = event.detail.sta;
//      console.log('vm.types...'+vm.avatar);
//      console.log('vm.sta...'+vm.sta)
    });
    //微信登录改密码或者手机号验证是否信息也完善
     window.addEventListener('sendTypes',function(event){
        vm.types = event.detail.types;
        vm.sta = event.detail.sta;
//      console.log('vm.types...'+vm.avatar);
//      console.log('vm.sta...'+vm.sta)
    });

    });
})();
