(function($){
	var vm = new Vue({
		el:'#app',
		data: {
			share: false,
			timeStr:'',
			time:'',
			article: '',
			infoChannel:'',
			isIos: false 
		},
		methods: {
			shareToggle: function () {
				if (mui.os.ios) {
					this.isIos = true;
				}
				this.share = !this.share;
			},
			shareTap: function (id, ex) {
				var str = $("article")[0].innerText;
				var sObj = {
					title: (mui.os.ios? str :plus.webview.currentWebview().pathName), 
					img: 'article img',
					content: (mui.os.ios? "" : str)
				}
				shareAction(sObj,id, ex);
			}
		}
	});
	//获取详情
	 var getDetails = function (param) {
        http.post ( BASE_URL +'/news/newsDetail',{
            newsId: param
        },function (data) {
            if(data.code==200){
                console.log('获取data::'+JSON.stringify(data.result));
                vm.article = data.result.notes;
                vm.timeStr = data.result.createTimeStr;
                vm.infoChannel = data.result.infoChannel
            }

        },10000); 

    };
	mui.plusReady(function () {
	    var curr = plus.webview.currentWebview();
	    var id = curr.newsId;
	    console.log(id)
	    getDetails(id)
	    vm.time = curr.time;
	});
	
	
})(mui)