/**
 * Created by XIAOKANG on 2017/11/20.
 */

(function(){
    vm = new Vue({
        el: '.mui-content',
        data: {
            myData:{
                version: '',
                varietyName:'热轧'
            },
            callType: false,
            list:[],
            listLast:[],
            timeType:1,
            tabType:0,
            title:'',
            isIos :50
        },
        methods:{
        	callHome: function () {
				mui.fire(plus.webview.getLaunchWebview(), 'call-home'); 
			},
            changeP:function(i){

                changePage('boomIndex-details.html','交易详情',{

                    areaName:vm.listLast[i].areaName,
                    varietyName:vm.listLast[i].varietyName,
                    listOne:vm.listLast[i],
                    types:vm.timeType,
                    title:vm.title

                })

            },

            changeTime:function(val){//改变时间
                vm.timeType = val;
                if(vm.timeType==1){//日
                    console.log('进了日');
                    getDay(vm.myData.version,vm.myData.varietyName,2);
                }else if(vm.timeType==2){//周
                    console.log('进了周');
                    getDay(vm.myData.version,vm.myData.varietyName,4);
                }else if(vm.timeType==3){//月
                    console.log('进了月');
                    getDay(vm.myData.version,vm.myData.varietyName,6);

                }
            },
            tab:function(i){//改变品种
                vm.tabType = i;
//              console.log(i)
                var varietyName=document.getElementsByClassName('lines')[i].children[0].innerHTML;
//              console.log('varietyName:'+varietyName);
                vm.myData.varietyName = varietyName;
                getDay(vm.myData.version,vm.myData.varietyName);


            }

        }
    });


    document.getElementById("changeP").addEventListener("tap",function () {
        changePage('boomIndex-rule.html','景气指数规则',{})

    });


    //获取信息
     var url='';
    var getDay = function (varietyId,areaId,i) {
       
        if(i==2){
             url = BASE_URL +'/prosperity/getAllProsperity'
        }else if(i==4){
            url = BASE_URL +'/prosperity/getAllProsperityWeek'
        }else if(i==6){
            url =  BASE_URL +'/prosperity/getAllProsperityMonth'
        }
        http.post ( url,{
            version:varietyId,
            varietyName:areaId
        },function (data) {
            if(data.code==200){
            	vm.list = [];
            	vm.listLast = [];
                console.log('获取信息::'+JSON.stringify(data.result));

                for ( i in data.result ) {
                    vm.list.push(data.result[i]);
                }
//              console.log("拉拉list ="+JSON.stringify(vm.list));
                console.log("拉拉listLast="+JSON.stringify(vm.list[vm.tabType].valuelist));
//              console.log("拉拉listLast="+vm.list.length);
                vm.listLast = vm.list[vm.tabType].valuelist;

            }
        },10000);

    };


    mui.plusReady(function () {
    	if(mui.os.ios){
            vm.isIos = 50
//          console.log(":苹果")
        }else {
            vm.isIos = 100
//           console.log(":安卓")
        }
    	if (plus.webview.currentWebview().opener().id != 'home-list.html' ) {vm.callType = true;}
		mui("#title")[0].innerText = plus.webview.currentWebview().pathName;
        //获取天的
        vm.myData.version = 'v'+plus.storage.getItem('version');
        getDay(vm.myData.version,vm.myData.varietyName,2);
        vm.title=plus.webview.currentWebview().pathName;
        var mySwiper = new Swiper('.swiper-container',{
            loop: false,
            effect: 'slide',
            slidesPerView: 3,
            speed: 500,
            touchRatio : 0.5,
            initialSlide :0,
            observer:true,//修改swiper自己或子元素时，自动初始化swiper
            observeParents:true//修改swiper的父元素时，自动初始化swiper
        });
    });
})();
