/**
 * Created by XIAOKANG on 2017/11/16.
 */


(function(){
	
	    mui.init({ 
        subpages: [{
            id: "consultation-list.html",
            url: "consultation-list.html",
            styles: {
                top: (getState().immersed + 126) + "px",
                bottom: 0
            },
            extras:{mType: 'main'}
        }]
    });


    var vm = new Vue({ 
        el:'.mui-content',
        data:{
        	oneMenu:[],//一级菜单
            twoMenu:[],//二级菜单
            OneMenuType:0,
            TwoMenuType:0,
            titleName:'',
            imgPath:'',
            audioPath:'',
            isShow:false,
            isShowBtn:false
        },
        methods:{ 

            changeOneMenu:function(i){//选择一级菜单
                getMenuList('freeNews');
                vm.twoMenu = vm.oneMenu[i].data;
                this.OneMenuType = i;
                this.TwoMenuType = 0; 
                mui.fire(plus.webview.currentWebview().children()[0],"sendTypeNo",{typeNo:vm.twoMenu[0].typeNo});
                plus.statistic.eventTrig("clickAllViews",{});
            },
            changeTwoMenu:function(i){//选择二级菜单
//              console.log('typeNo:'+JSON.stringify(vm.twoMenu[i].typeNo));
                this.TwoMenuType = i;
                //向子页面传参数
                mui.fire(plus.webview.currentWebview().children()[0],"sendTypeNo",{typeNo:vm.twoMenu[i].typeNo});
                plus.statistic.eventTrig("clickAllViews",{});
            },

            closeAudio:function(){
                vm.isShow=false;
                audio.pause();
                audio.currentTime =0;
                document.getElementById('pt').innerHTML='已播放:&nbsp;'+transTime(audio.currentTime);
                document.getElementById('playSpan').classList.remove('icon-pause');
                document.getElementById('playSpan').classList.add('icon-play');
                plus.webview.currentWebview().children()[0].setStyle({
                	bottom: '0px'
        		});
            }

        }
    });

    var audio = $('#audioTag').get(0);

    //获取列表菜单
    var getMenu = function (param) {
        http.post ( BASE_URL +'/news/newsSecondList',{
            typeNo: param
        },2000,function (data) {
          	if(data.code==200){
//        		console.log('获取列表一级菜单的接口数据data::'+JSON.stringify(data.result));
                vm.oneMenu = data.result;

                for(var i=0;i<vm.oneMenu.length;i++){ 
                    if(vm.oneMenu[i].name=='分析报告'){ 
                        vm.twoMenu = vm.oneMenu[i].data;
                    }
                } 
                getMenuList('freeNews');

          	}else {


                mui.toast(data.result)
            }

        },function(xhr,type,thr) {
          	if(type == 'timeout'){
				plus.nativeUI.toast('网络不给力,请稍后重试',{verticalAlign:"center"})
			}else if(type == 'abort'){
				plus.nativeUI.toast('网络已断开，请检查您的设备是否联网',{verticalAlign:"center"})

			}else{
				mui.toast("出错了："+xhr.status);
			}
//        	plus.nativeUI.toast('网络不给力,请稍后重试',{verticalAlign:"center"})
        });

    }; 
    //获取列表二级菜单
    var getMenuList = function (param) {
        http.post ( BASE_URL +'/news/newsSecondList',{
            typeNo: param
        },2000,function (data) {
            if(data.code==200){
//              console.log('获取列表二级菜单的接口数据data::'+JSON.stringify(data.result));
                vm.oneMenu = data.result;
                mui.fire(plus.webview.currentWebview().children()[0],"sendTypeNoInit",{typeNo:vm.twoMenu[0].typeNo});
//              return callback()
            }

        },function(xhr,type,thr) {
        	if(type == 'timeout'){
				plus.nativeUI.toast('网络不给力,请稍后重试',{verticalAlign:"center"})
			}else if(type == 'abort'){
				plus.nativeUI.toast('网络已断开，请检查您的设备是否联网',{verticalAlign:"center"})
			}else{
				mui.toast("出错了："+xhr.status);
			}
//        	plus.nativeUI.toast('网络不给力,请稍后重试',{verticalAlign:"center"})
          });

    }; 


    window.addEventListener('sendList',function(e){
    	vm.isShowBtn = false;
        getMenu('freeNews')

    });

    window.addEventListener('openAudio',function(event){
    	vm.isShow=true;
        vm.titleName = event.detail.titleName;
        vm.imgPath = 'http://index.jwell56.com'+event.detail.imgPath; 
        vm.audioPath ='http://index.jwell56.com'+event.detail.audioPath;
        document.getElementById('playSpan').classList.remove('icon-play'); 
        document.getElementById('playSpan').classList.add('icon-pause');
        mui.later(function(){
        	 audio.play(); 
        },200)
         
    	  //监听音频播放时间并更新进度条
        audio.addEventListener('timeupdate',updateProgress,false);
        //监听播放完成事件 
        audio.addEventListener('ended',audioEnded,false);
        
        plus.webview.currentWebview().children()[0].setStyle({
            bottom: "70px" 
        }); 
    });
//  var callback =function(){
//       mui.fire(plus.webview.currentWebview().children()[0],"sendIsShow",{isShowBtn:false});
//  };
    mui.plusReady(function () {
        getMenu('freeNews');   
    })
	
})()

 


