(function(global,$){
	
	
	$.init({preloadLimit: 20});
	var hide = "mui-hidden";
	var hv = null,sv = null,at = 300;
	var activeTab = 1;
	var ainl = 'slide-in-left',
		ainr = 'slide-in-right',
		aoutl = 'slide-out-left',
		aoutr = 'slide-out-right';
	
	/*
	 * 预加载窗口
	 * @param {Array} obj : 循环的tab
	 * @param {URIString} arguments[0] : 是否显示等待框
	 * @param {boolean} arguments[1] : 是否需要先登录
	 */
	global.preload = function () {
//		plus.navigator.closeSplashscreen();
		var hrefs = this;
		
		var style = {top: 0,bottom: '51px'};
		var extras = {mType: 'main',pathName: null}
		
		if (arguments[0]) {
			sv = $.preload({
				url: arguments[0],
				id: arguments[0],
				styles: {top: 0,bottom: 0},
				extras: {mType: 'main',pathName: '登录'}
			});
		}
		
		var len = hrefs.length;
		function eachs (index,item) {
			extras.pathName = item.dataset.pathName;
			if (index == 0) {
				hv = $.preload({
					url: item.id,
					id: item.id,
					styles: style,
					extras: extras
				});
			}else {
				$.preload({
					url: item.id,
					id: item.id,
					styles: style,
					extras: extras
				});
			}
			
			if (index < len-1) { 
				index++;
				return mui.later(function(){
					eachs(index,hrefs[index]);
				},20);
			} return;
			
		}
		if (len) {
			eachs(0,hrefs[0]);
		}
		
		var vShow = function (va) {

			va.addEventListener('loaded', function() {
				setTimeout(function() {

					va.show();
				}, 100);
			});
		}
		
		if (arguments[1]) {
			if (getState().token) {
				
				vShow(hv);
			}else {
				vShow(sv);
			}
		}else {
			vShow(hv);
		}
		
		
		journal.sume.call(4);
	}
	var ecatr = false;
	var ecatrs = false;
	global.tab = function () {
		
		var sHome = function () {
			var hrefs = this;
			var activeItem = arguments[0];
			activeTab = Number(activeItem)+1;
			$.each(hrefs,function (index,item) {
				if (index == activeItem) {
					item.classList.add('mui-active');
				}else {
					item.classList.remove('mui-active');
				}
			});
			var vId = hrefs[activeItem].id; 
			plus.webview.show(vId, ainl, at);
			plus.webview.hide( sv, aoutr, at);
			
		}
		
		
		var switchTo = function() {
			
			var targetTab = this.dataset.s;
			if(targetTab == activeTab) {return;}
			var tin = ainr,aout = aoutl;
			
			if (activeTab > targetTab) {
				tin = ainl;
				aout = aoutr;
			}
			
			if (targetTab == 3) { //统计点击数据中心
				plus.statistic.eventTrig("clickdataCenter",{"type":"center"});
			}
			if (targetTab == 5) { //我的
				getUserInfo(function (type) {});

			}
			
			var av = plus.webview.getTopWebview();
			var tv = this.id;
			
			if (this.dataset.login) {
				getUserInfo(function (type) {
					if (!type) {
						tv = sv.id;
					}
					//plus.webview.show( tv, tin, at);
					plus.webview.show( tv, 'none', 0);
					//plus.webview.hide( av.id, aout, at);
					plus.webview.hide( av.id, 'none', 0);
					if (plus.webview.getWebviewById(tv).children()[0]) {
//						plus.webview.show(plus.webview.getWebviewById(tv).children()[0].id, tin, at);
						plus.webview.show(plus.webview.getWebviewById(tv).children()[0].id, 'none', 0);
					}
					journal.swit({pathName:plus.webview.getWebviewById(tv).pathName,pathUrl:plus.webview.getWebviewById(tv).id}, {pathName:av.pathName,pathUrl:av.id});
					activeTab = targetTab;
				});
			}else {
				//plus.webview.show( tv, tin, at);
				plus.webview.show( tv, 'none', 0);
				//plus.webview.hide( av.id, aout, at);
				plus.webview.hide( av.id, 'none', 0);
				if (plus.webview.getWebviewById(tv).children()[0]) {
					//plus.webview.show(plus.webview.getWebviewById(tv).children()[0].id, tin, at);
					plus.webview.show(plus.webview.getWebviewById(tv).children()[0].id, 'none', 0);
				}
//				journal.swit(plus.webview.getWebviewById(tv).pathName, av.pathName);
				journal.swit({pathName:plus.webview.getWebviewById(tv).pathName,pathUrl:plus.webview.getWebviewById(tv).id}, {pathName:av.pathName,pathUrl:av.id});
				activeTab = targetTab;
			}
			
//			console.log(plus.webview.getTopWebview().id)
			if (plus.webview.getTopWebview().id=='/templates/public/dataCenter-list-frame.html' && !ecatr){
				mui.fire(plus.webview.getTopWebview().children()[0],'updateEcatr');
				ecatr=true;
			}
			if (plus.webview.getTopWebview().id=='/templates/consultation/consultation-frame.html' && !ecatrs){
				mui.fire(plus.webview.getTopWebview().children()[0],'updateEcatr');
				ecatrs=true;
			}
			
		}
		
		return {
			sHome: sHome,
			switchTo: switchTo
		}
		
	}()
	
//	var vm = new Vue({
//		el:'.mui-bar',
//		data:{
//			
//		},
//		methods:{
//
//		}
//	});
	
	
	$.plusReady(function () {
		getLat(3);
		plus.webview.currentWebview().pathName = '首页';
//		$("#bartab").on("tap","a",function(){
//	    	vm.isMain=false;
//	    	vm.isRead=false;
//	    	vm.isCummi=false;
//	    	vm.isPerson=false;
//	    	if(this.dataset.s==1){
//	    		vm.isMain=true;
//	    	}else if(this.dataset.s==2){
//	    		vm.isRead=true;
//	    	}else if(this.dataset.s==3){
//	    		vm.isCummi=true;
//	    	}else{
//	    		vm.isPerson=true;
//	    	}
//			tab.switchTo.call(this);
//		});
		
	    
	    plus.runtime.setBadgeNumber(0);//清零角标
	    $("#bartab").on("tap","a",function(){
//	    	vm.isMain=false;
//	    	vm.isRead=false;
//	    	vm.isCummi=false;
//	    	vm.a=false;
//	    	vm.isPerson=false;
//	    	console.log(this.dataset.s)
//	    	if(this.dataset.s==1){
//	    		vm.isMain=true;
//	    	}else if(this.dataset.s==2){
//	    		vm.isRead=true;
//	    	}else if(this.dataset.s==3){
//	    		vm.isCummi=true;
//	    	}else if (this.dataset.s==4){
//	    		vm.a=true;
//	    	}else{
//	    		vm.isPerson=true;
//	    	}

			tab.switchTo.call(this);
		});
		updates.check(appCode);
	});
	global.addEventListener("show-signin",function(e) {
		var state = getState();
			delete(state.token);
			setState(state);
		plus.webview.show( sv, ainr, at);
		var viewAll = plus.webview.all();
		
		$.later(function(){
			viewAll.forEach(function (item) {
		  		if ( item.id != plus.runtime.appid && item.mType !='main') {
		  			plus.webview.close(item, 'none', 0);
		  		}else if (item.mType =='main' && item.id != sv.id) {

		  			plus.webview.hide( item, 'none',0);
		  		}
			});
		},200);
	});
	
	global.addEventListener("login-success",function(e) {
		var item = 0;
		if (e.detail.type) {item = e.detail.type}
		tab.sHome.call($("#bartab a"),item);
	});
	
	global.addEventListener("call-home",function(e) {
		var viewAll = plus.webview.all();
		
		viewAll.forEach(function (item) {
			if (item.id != plus.runtime.appid && item.mType !='main' && item.mType !='sub') {
				plus.webview.close(item, 'none', 0);
			}
	    });
	});
	
	/*监听焦点*/
	document.addEventListener("pause", function () {
	    journal.sume.call(3);
	}, false);
	document.addEventListener("resume", function () {
	    journal.sume.call(4);
	}, false);	
	
})(window,mui)


