(function($) {
	
//	Vue.filter("toMath",function(num){
//
//		return num.pattern("yyyy-MM-dd");
//	});
	
	vm = new Vue({
		el: '.mui-content',
		data: {
			callType: false,
			costType:0,
			current:{},
			list: [],
			isIos:50
		},
		methods: {
			callHome: function () {
				$.fire(plus.webview.getLaunchWebview(), 'call-home'); 
			},
			tab: function (obj) {
				this.costType = obj.costType;
				this.current = obj;
				getEcharList(obj.costType);
			}
		}
	});

	var setGrade = function(prices,dates) {
		var dom = document.getElementById("container");
		var myChart = echarts.init(dom);
		var option = null;
 
		option = {
	        tooltip: {
	            trigger: 'axis',
	            formatter: function (params) {
	                var item = params[0];
	                return '日期: ' + item.name
	                    + '<br/>价格: ' + item.value;
	            }
	        },
	        grid: {
	            top: '5px',
	            bottom: '35px',
	            left: '50px',
	            right: '20px'
	        },
	        xAxis: {
	            splitLine: {
	                show: true
	            },
	            axisTick: {
	                show: false
	            },
	            data: dates
	        },
	        yAxis: {
	            scale: true,
	            axisTick: {
	                show: false
	            }
	        },
	        animation: false,
	        series: [{
	            type: 'line',
	            data: prices
	        }]
	    };
		
		 if (option && typeof option === "object") {
		    myChart.setOption(option, true);
		}
	}
	
	var getEcharList = function (costType) {
		http.post(BASE_URL+plus.storage.getItem('version')+'/costindex/getCostIndexLine',{
			costType: costType,
			size: 30
		},function (data) {
			var prices = [],dates = [];
			data.result.forEach(function(item) {
				prices.push(item.lastTotal);
				dates.push(item.tradeTime);
			});
			setGrade(prices,dates);
		}); 
	}
	
	var getList = function () {
		http.post(BASE_URL+plus.storage.getItem('version')+'/costindex/getNewCostIndex',function (data) {
			console.log('........'+JSON.stringify(data.result))
			vm.list = data.result;
			if (data.result.length>0) {
				vm.costType = data.result[0].costType;
				vm.current = data.result[0];
				return getEcharList(data.result[0].costType);
			}
			$.toast("还没有记录");
		});
	}
 
	$.plusReady(function() {
		
		if(mui.os.ios){
            vm.isIos = 50
//          console.log(":苹果")
        }else {
            vm.isIos = 100
//           console.log(":安卓")
        }
		
		if (plus.webview.currentWebview().opener().id != 'home-list.html' ) {vm.callType = true;}
		$("#title")[0].innerText = "行业内"+plus.webview.currentWebview().pathName;
		getList();
	});

})(mui)