(function($){
	
	
	Vue.filter("toMath",function(num){
        var num = Number(num);
        return Math.abs(num);
    });
	vm = new Vue({
		el: '.mui-content',
		data: {
			topList:[],
			topObj: {},
			topDate: '',
			dateURL:'/map/quoteDay',
			list:[],
			listType: false,
			MaskType:false,
			selectType: false,
			isShow: 10
		},
		methods:{
			selectTab: function (val) {
				if (val) {
					this.topObj = val;
					getMap();
				}
				this.selectType = !this.selectType;
			},
			dateTab: function (val) {
				this.dateURL = val;
				getMap();
				if(this.dateURL=='/map/quoteDay'){
					vm.isShow=10
				}else if(this.dateURL=='/map/quoteWeek'){
					vm.isShow=20
				}else if(this.dateURL=='/map/quoteMonth'){
					vm.isShow=30
				}
			},
			showList: function (event) {
//              vm.listType = !vm.listType;
//              event.preventDefault();
                mui.later(function(){ 
                	  vm.listType = !vm.listType;
                },500)
				

			},

			
			setDate: function () {
				getDate(); 
			}
		}
	}); 
	
	var getDate = function () {
		var item = new Date(vm['topDate']).pattern("yyyy-MM-dd");
		var options = {
			type:"date",
			beginDate: new Date(2014, 0, 1),
			endDate: new Date(),
			value: item
		};
		var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				vm['topDate'] = rs.y.text + '/'+rs.m.text+ '/'+ rs.d.text;
				getMap();
				picker.dispose();
			});
	}
	
	var setGrade = function () {
		var colors = ['#9ccc65', '#a9d18e', '#ffe0e0', '#ffb0b0'];
		var dom = document.getElementById("container");
		var myChart = echarts.init(dom);
		var option = null;
		var arrDisplayCity = [],mapDataList = [],markPointDataList = [];
		//接口返回数据后循环
		 vm.list.forEach(function (item,index) {
	        if(arrDisplayCity.indexOf(item.areaName) == -1) {
	            arrDisplayCity.push(item.areaName)
	            if (item.quotePrice) {
	                mapDataList.push({
	                    areaId: item.areaId,
	                    name: item.provinceName,
	                    value: item.quotePriceWave,
	                });
	            } else {
	                mapDataList.push({
	                    areaId: item.areaId,
	                    name: item.provinceName
	                });
	            }

                if(item.isRepresentative){
                	var value = (item.quotePrice || '-') + ' ' + (item.quotePrice == 0 ? '-' : (item.quotePriceWave > 0 ? '+' + item.quotePriceWave : item.quotePriceWave))
                	var name = item.areaName + ' ' + item.placesteelName
                }else{
                	var value = ''
                	var name = item.areaName 
                }
	            var point = {
	            	name : name,
//	                name: item.areaName + ' ' + item.placesteelName,
	                value:value,
//	                value: (item.quotePrice || '-') + ' ' + (item.quotePrice == 0 ? '-' : (item.quotePriceWave > 0 ? '+' + item.quotePriceWave : item.quotePriceWave)),
	                coord: [item.longitude, item.latitude],
	                label: {
	                    normal: {
	                        textStyle: {
	                            color: item.quotePrice == 0 ? '#333' : (item.quotePriceWave > 0 ? '#d43c33' : item.quotePriceWave < 0 ? '#2cb950' : '#333')
	                        }
	                    }
	                }
	            };
	
	            if (item.areaName === '成都') {
	                point.label.normal.position = 'insideBottom';
	            }
	            markPointDataList.push(point);
	        }
	    });
		

		option = {
	      visualMap: {
	        type: 'piecewise',
	        top: 16,
	        left: 16,
	        pieces: [
//	          {gt: 50, color: colors[3], label: '> 50'},
//	          {gte: 1, lte: 50, color: colors[2], label: '1 ~ 50'},
//	          {gte: -50, lte: -1, color: colors[1], label: '-50 ~ -1'},
//	          {lt: -50, color: colors[0], label: '< -50'}
	           {gt: 50, color: '#ffb0b0', label: '> 50'},
	          {gte: 1, lte: 50, color: '#ffe0e0', label: '1 ~ 50'},
	          {gte: -50, lte: -1, color: '#a9d18e', label: '-50 ~ -1'},
	          {lt: -50, color: '#9ccc65', label: '< -50'}
	        ]
	      },
	      series: [{
	        name: '日',
	        type: 'map',
	        map: 'china',
	        roam: true,
	        zoom: 1.7,
	        scaleLimit: {
	          min: 1,
	          max: 5
	        },
	        center: [104, 28],
	        itemStyle: {
	          normal: {
	            color: '#111',
	            areaColor: '#fff',
	            borderColor: '#d0d0d0'
	          },
	          emphasis: {
	            areaColor: 'rgba(255,255,255,.4)',
	            label: {
	              show: false
	            }
	          }
	        },
	        data: mapDataList,
	        markPoint: {
	          symbol: 'circle',
	          symbolSize: 5,
	          label: {
	            normal: {
	              show: true,
	              position: ['100%', '-100%'],
	              formatter: '{b}\n{c}'
	            },
	            emphasis: {
	              fontSize: 14
	            }
	          },
	          itemStyle: {
	            normal: {
	              color: '#666',
	              borderColor: '#666'
	            }
	          },
	          data: markPointDataList
	        }
	      }],
	      	events: {
	      	  click: function (param) {
//	      	  	console.log('map....:'+new Date().getTime())
	      	    if (!isNaN(param.value)) {
	      	    	var obj = {
	      	    		areaId: param.data.areaId,
	      	    		brandId: vm.topObj.brandId,
					    quoteDay: vm.topDate,
					    spec: vm.topObj.spec,
					    textureId: vm.topObj.textureId,
					    varietyId: vm.topObj.varietyId,
					    brandName: vm.topObj.brandName
	      	    	};
	      	    	if(!vm.listType){ 
	      	    		changePage('price-map-info.html','行情线图', {obj: obj});
	      	    	}else{
	      	    		vm.listType = false
	      	    	}
	      	    }
	      	  } 
	      	}
	      	
	    };
	    
	    myChart.on("click",option.events.click);
		
		 if (option && typeof option === "object") {
		    myChart.setOption(option, true);
		}
	}
	
	var getMap = function () {
		http.post(BASE_URL+plus.storage.getItem('version')+vm.dateURL,{
			headers: {'Content-Type': 'application/json'},
		    brandId: vm.topObj.brandId,
		    quoteDay: vm.topDate,
		    spec: vm.topObj.spec,
		    textureId: vm.topObj.textureId,
		    varietyId: vm.topObj.varietyId
		},function(data){
			vm.list = [];
			vm.list = data.result;

			console.log("vm.list列表："+JSON.stringify(vm.list));
			return setGrade();
		});
	}
	
	var getToplist = function () {
		http.post(BASE_URL+plus.storage.getItem('version')+'/map/initMapVariety',function (data) {
			console.log("top列表："+JSON.stringify(data));
			
			data.result.forEach(function(item,index) {
				if (index == 0) {
					vm.topObj = item;
				}
				vm.topList.push(item);
			});
			return getMap();
		});
	}
	
	$.plusReady(function () {
		$('#title')[0].innerText = plus.webview.currentWebview().pathName;
		vm.topDate = new Date().pattern("yyyy/MM/dd");
	    getToplist();
	})
	
})(mui)