(function($){
	Vue.filter("toInt",function (input) {
		var val = Number(input);
		return (val > 0 ? '+'+val : val);
	});
	
	var gallery;
	vm = new Vue({
		el: '.mui-content',
		data: {
			myData:{
				url: '',
				page: 1
			},
			list:[],
			isTab:1, 
			isEchar: false,    //临时测试用，对接口时每个列都添加该属性
			listType: -1  
		},
		methods: {
			move: function (type) {
				gallery.slider().stopped = type;
			},
			tab: function (val) {
				this.isTab = val;
			},
			showEchar: function (itemIn,listIn,isechar) {
//				console.log(this.listType)
				if (this.listType == itemIn+''+listIn) {this.listType = -1; return;}
				this.listType = itemIn+''+listIn;
				this.$nextTick(function(){
					if (!isechar) {
						this.list[itemIn].sList[listIn].isEchar= true;  
						getEcharArr(itemIn,listIn);
					}
				});
			}
		}
	});
	
	
	var getEcharArr = function (itemIn,listIn) {
		var item = vm.list[itemIn].sList[listIn];
		http.post(BASE_URL+plus.storage.getItem('version') + '/map/getPriceDifferencesList',{
			varietyId: item.varietyId,
			areaId1: item.areaId1,
			areaId2: item.areaId2,
			placeId1: item.placeId1,
			placeId2: item.placeId2
		},function(data) {
			setGrade.call(data,itemIn,listIn)
		});
	}
	
	var setGrade = function (itemIn,listIn) {
		var dom = document.getElementById("item"+ itemIn +"list"+ listIn +"container");
		var myChart = echarts.init(dom);
		var jca = [],avg = [],dateArr = [];
		var option = null;
		this.result.forEach(function (item) {
			dateArr.push(item.quoteDay);
			avg.push(item.quotePriceWave);
			jca.push(item.quotePrice);
		});

		option = {
	        tooltip: {
			      trigger: 'axis',
			      formatter: function (params) {
			        var item = params[0];
			          var str = '';
			        if(params[0] && params[0].data){
			            params.forEach(function(ele,index){
			              str =str + '<div style="background-color:'+ ele.color +';border-radius: 50%;width:10px;height: 10px;display: inline-block"></div>' + ele.seriesName + ': '+(ele.value)+ '<br/>';
			              if(index){
			                str = str + '时间: ' + item.name;
			              }
			            })
			          }else{
			              str = item.seriesName + ': ' + (item.value) + '<br/>　时间:' + item.name;
			          }
			        return str;
			      }
			    },
			    grid: {
			      top: '5px',
			      bottom: '35px',
			      left: '50px',
			      right: '30px'
			    },
			    series:  [{
			              name: '半年平均值',
			              type: 'line',
			              data: avg
			          },{
			          name: '区域价差值',
			          type: 'line',
			          data: jca
			        }],
			    xAxis: {
			      splitLine: {
			        show: true
			      },
			      axisTick: {
			        alignWithLabel: true
			      },
			      data: dateArr
			    },
			    yAxis: {
			      scale: true
			    }
	    };
		
		 if (option && typeof option === "object") {
		    myChart.setOption(option, true);
		}
	}
	
	
	list = function () {
	   	return {

	   		upList: function (_type) {

				console.log('this.result......'+JSON.stringify(this.result));


	   			this.result.forEach(function(item,itemIn) {
	   				item.sList.forEach(function(child,childIn) {
	   					child = $.extend(child,{isEchar:false,listType:itemIn+''+childIn});
	   				});
	   				vm.list.push(item);
	   			});
	   			
	   			vm.$nextTick(function() {
	   				gallery = mui('.mui-slider');
                    vm.listType=-1
	   			}); 
	   			
			   	return closeList(_type,'page',1);
		   	},
	   		resetList: function () {
		   		vm.myData.page = 1;
				return vm.myData.page;
		   	}
	   	}
	}()
	
	$.plusReady(function () {
		vm.myData.url = BASE_URL+plus.storage.getItem('version') + '/map/findQuoteOtherDtoList';
	    _init();
	});
	
})(mui)