mui.init({
    subpages: [{
        id: "dataCenter-list.html",
        url: "dataCenter-list.html",
        styles: {
            top: (getState().immersed + 94) + "px", 
            bottom: 0
        },
        extras:{mType: 'main'}
    }] 
});
(function($){
    
    var vm = new Vue({
    	el: '.mui-content',
    	data: {
    		show: false,
    		pIn: 0,
    		oldIndex:'',
    		mySwiper:null,
    		list: []
    	},
    	methods: {
    		toggle: function (index) {
    			//判断点击的是不是当前的
    			if(index == vm.oldIndex) {
//				console.log("相同")
//              mui.fire(plus.webview.getWebviewById('data-center.html'),'send',{});
		  			} else {
//		  				console.log("不同")
		  				mui.fire(plus.webview.getWebviewById('data-center.html'),'send',{});

		  			}
	  			vm.oldIndex = index;
    			this.pIn = index;    		
//  			console.log(index);
    			var a = index;
    			mui.fire(plus.webview.currentWebview().children()[0],'sendIndex',{pIn:index});
    			if (slist) {
    				slist.show();
    				mui.fire(plus.webview.getWebviewById('data-center.html'),'show',{pIn:index});
    			}
    		}
    	}
    });
    
    var slist = null;
    var pre = function () {
//  	alert("进入pre");
    	slist = $.preload({
			url: 'data-center.html',
			id:  'data-center.html',  
			styles: {top: 0,bottom: 0,background: "transparent"},
			extras: {mType: 'sub',pathName: '数据中心select'}
		});
    }
	
	
	var swInit = function () { 
		vm.mySwiper = new Swiper('.swiper-container',{ 
			loop: false,
	        effect: 'slide',
	        slidesPerView: 4,
	        speed: 500,
	        touchRatio : 0.5, 
		});
	};
	
	var getchild = function (cid) { 
		http.post(BASE_URL + plus.storage.getItem('version')+'/dataCenter/getTypeByParentId',{
			parentId: cid
		},function (data) {
			console.log('data...:'+JSON.stringify(data))
			 if(data.result[0].unit == null){
			    	var danWei = ''
			    }else{
			    	var danWei = '('+data.result[0].unit+')'
		    }
//			    console.log(data.result[0].unit)
			var obj = { 
				typeId:data.result[0].dataTypeId,
				typeVal: '市场报价__'+data.result[0].dataTypeName + '__' +vm.list[0].children[0].dataTypeName+danWei,
				danWei:danWei
			}
			
			function isChild () {
				if (plus.webview.getWebviewById("dataCenter-list.html")) {
					return $.fire(plus.webview.getWebviewById("dataCenter-list.html"),'update',obj);
				} 
				$.later(function(){
					return isChild();
				},10);
			}
			isChild();
		});
	}

	var getCategory = function () {
//		alert("进入getCategory");
		http.post(BASE_URL + plus.storage.getItem('version')+'/dataCenter/getAllType',2000,function (data) {
			if(data.code == 200){

				console.log('...data..:'+JSON.stringify(data))
				vm.list = data.result;
				console.log('.....:'+JSON.stringify(vm.list))
				getchild(data.result[0].children[0].dataTypeId);
				vm.$nextTick(function(){
					swInit(); 
				}); 
			}			
		},function(xhr,type,thr) {
			if(type == 'timeout'){
				plus.nativeUI.toast('网络不给力,请稍后重试',{verticalAlign:"center"})
			}else if(type == 'abort'){
				plus.nativeUI.toast('网络已断开，请检查您的设备是否联网',{verticalAlign:"center"})
			}else{
				mui.toast("出错了："+xhr.status);
			}
		});
	}
	
	$.plusReady(function () {
	    getCategory();
	    pre();
	    
	    window.addEventListener("setTopStyle",function (e) {
	    	vm.pIn = e.detail.pIn;
	    	mui.fire(plus.webview.currentWebview().children()[0],'sendIndex',{pIn:vm.pIn});
//	    	console.log(vm.pIn)
	    });
	    window.addEventListener('sendList',function(e){
//	    	vm.isShowBtn = false;
	        getCategory();
	        pre();
	        console.log("jinliale ")
    	});
	    
	    var contentWebview = null;
		document.querySelector('header').addEventListener('doubletap', function () {
			if(contentWebview == null) {
				contentWebview = plus.webview.currentWebview().children()[0];
			}
			if($.os.ios) {
				contentWebview.evalJS("mui('#pullrefresh').pullRefresh().scrollTo(0,0,100)");
			} else {
				contentWebview.evalJS('mui.scrollTo(0, 100)');
			}
		});
	    
	})
	
	
})(mui)