(function($){
	vm = new Vue({
		el: '#app',
		data: {
			title:'',
			obj:{},
			sList:[],
			wList:[],
			dList:[]
		},
		methods: {
			onPage: function () {
				var item = {indexName:vm.title, variety: vm.obj.variety, area: vm.obj.area};
				plus.statistic.eventTrig( "hrefStock" ,{"type":"stockConter"});
				pullfreshPage('../public/dataCenter-list-frame2.html','../public/dataCenter-list2.html','数据中心',{top:94,obj:item});
			}
		}
	});
	
	
	var setGrade = function () {
		var dom = document.getElementById("container");
		var myChart = echarts.init(dom);
		var option = null;

		option = {
	          tooltip: {
			      trigger: 'axis',
			      formatter: function (params) {
			        var item = params[0];
			          var str = '';
			        if(true){
			            params.forEach(function(ele,index){
			              str =str + '<div style="background-color:'+ ele.color +';border-radius: 50%;width:10px;height: 10px;display: inline-block"></div>' + ele.seriesName + ': '+(ele.value)+'万吨' + '<br/>';
			              if(index){
			                str = str + '时间: ' + item.name;
			              }
			            })
			          }else{
			              str = item.seriesName + ': ' + (item.value) + '<br/>　时间:' + item.name;
			          }
			        return str;
			      }
			    },
			    grid: {
			      top: '16px',
			      bottom: '24px',
			      left: '44px',
			      right: '8px'
			    },
			    series:  [{
			              name: '半年平均量',
			              type: 'line',
			              data: vm.wList
			          },{
			          name: '库存量',
			          type: 'line',
			          data: vm.sList
			        }],
			    xAxis: {
			      splitLine: {
			        show: true
			      },
			      axisTick: {
			        alignWithLabel: true
			      },
			      data: vm.dList
			    },
			    yAxis: {
			      scale: true
			    }
	    };
		
		 if (option && typeof option === "object") {
		    myChart.setOption(option, true);
		}
	}
	
	var getList = function () {
		http.post(BASE_URL+plus.storage.getItem('version')+'/stock/getStockByVa',{
			areaName:vm.obj.area,
			varietyName:vm.obj.variety
		},function(data){
			data.result.sList.forEach(function(item) {
				vm.sList.unshift(item.stockBalance);
				vm.wList.unshift(item.wave);
				vm.dList.unshift(item.stockTime);
			});
			
			vm.$nextTick(function(){
				setGrade();
			});
		});
	}
	
	$.plusReady(function () {
		var curr = plus.webview.currentWebview();
		$("#title")[0].innerText = '短期'+curr.pathName;
		vm.title = curr.pathName;
		vm.obj = curr.obj;
		getList();
	});
	
})(mui)