/**
 * Created by XIAOKANG on 2017/12/15.
 */

//(function($){
vm = new Vue({
    el: '.mui-content',
    data: {
        sta:10,
        myData:{},
        valName:'',//品名
        valNameId:'',//品名ID
        material:'',//材质
        specifications:'',//规格
        brand:'',//品牌
        weight:'',//数量
        provinceCity:'',//省市
        province:'',//省
        city:'',//市
        price:'',//价格
        contacts:'',//联系人
        telephone:'',//电话
        describe:'',//描述
        isTrue:false,//描述
        isIos:50
    },
    methods:{
        //获取品牌
        getBrand:function(){
            console.log('brand...'+vm.brand);
            jsonObj.placesteel = vm.brand.trim();
            vm.isTrue =true
        },
        //获取数量
        getNum:function(){
            console.log('weight...'+vm.weight)
            jsonObj.weight = vm.weight.trim();
            vm.isTrue =true
            
        },
        //获取城市
        getCity:function(){
            changePage('city.html','选择城市',{})
            vm.isTrue =true
        },
        //获取价格
        getPrice:function(){
            console.log('price...'+vm.price);
            jsonObj.price = vm.price.trim()
            vm.isTrue =true
        },
        //获取联系人
        getContacts:function(){
            console.log('contacts...'+vm.contacts);
            jsonObj.contacts = vm.contacts.trim()
            vm.isTrue =true
        },
        //获取电话
        getTelephone:function(){
            console.log('telephone...'+vm.telephone);
            jsonObj.contactNumber = vm.telephone.trim()
            vm.isTrue =true
        },
        //获取描述
        getDescribe:function(){
            console.log('describe...'+vm.describe);
            jsonObj.description = vm.describe.trim()
            vm.isTrue =true
          
        }
    }
});


var token= getState().token;
//获取详情
var getDetails = function (type,id) {
    http.post ( BASE_URL +'/supplyDemand/getReleasePurchaseInfo/'+token,{
        type: type,
        id: id
    },function (data) {
        if(data.code==200){
            console.log('获取详情data::'+JSON.stringify(data));
            vm.valName = data.result.brand;
            vm.material = data.result.texture;
            vm.specifications = data.result.spec;
            vm.brand = data.result.placesteel;
            jsonObj.placesteel = data.result.placesteel;
            vm.weight = data.result.weight;
            jsonObj.weight = data.result.weight;
            vm.provinceCity = data.result.province + data.result.city ;
            jsonObj.province = data.result.province;
            jsonObj.city = data.result.city;
            vm.price = data.result.price ;
            jsonObj.price = data.result.price;
            vm.contacts = data.result.contacts ;
            jsonObj.contacts = data.result.contacts;
            vm.telephone = data.result.contactNumber ;
            jsonObj.contactNumber =data.result.contactNumber;
            vm.describe = data.result.description ;
            jsonObj.description = data.result.description;
            jsonObj.sampleId = data.result.sampleId;
            jsonObj.supplyDemandId = data.result.supplyDemandId;
            vm.myData = data.result;
        }else if(data.code==401){
            	 mui.toast(data.result)
            }else if(data.code==404 || data.code==500){
            	 mui.toast('系统繁忙，请稍后再试')
            }else{
            	 mui.toast('服务器繁忙')
            }



    },10000);

};

//发布修改接口
var jsonObj={
    city:'', // 城市
    contactNumber: getState().nickName,//联系电话
    contacts: '',//联系人
    description: '',//描述
    placesteel: '',//品牌
    price: '',//供求价格
    weight: '',//供求重量
    province: '',//省份
    sampleId: '',//样本ID
    supplyDemandId: '',//供求ID
    type: ''//类型：供应1，求购2

};
var releasePurchase = function (supplyDemand) {

    http.post ( BASE_URL +'/supplyDemand/updatePurchase/'+token,
        mui.extend(true, supplyDemand, {headers: {'Content-Type': 'application/json'}})

        ,function (data) {
            console.log('提交接口::'+JSON.stringify(data));
            if(data.code==200){
                console.log('提交接口::'+JSON.stringify(data.result));
                console.log('releasePurchasesta...'+vm.sta);
                mui.fire(plus.webview.currentWebview().opener(),'upList',{sta:vm.sta});
                mui.fire(plus.webview.currentWebview().opener().opener(),'upList',{sta:vm.sta});
                mui.back();
            }
            else if(data.code==401){
            	 mui.toast(data.result)
            }else if(data.code==404 || data.code==500){
            	 mui.toast('系统繁忙，请稍后再试')
            }else{
            	 mui.toast('服务器繁忙')
            }
        },10000);

};

//发布提交
document.getElementById('btn').addEventListener('tap',function(){
    console.log('传的参数jsonObj....'+JSON.stringify(jsonObj));
    if(jsonObj.valName==''){
        mui.toast('请选择品名');
        return false
    }
    if(jsonObj.weight==''){
        mui.toast('请输入重量');
        return false
    }
    if(!(/^[0-9]*$/.test(jsonObj.weight))){
        mui.toast('输入重量有误');
        return false
    }
    if(jsonObj.provinceCity==''){
        mui.toast('请选择城市');
        return false;
    }
    if(jsonObj.price==''){
        mui.toast('请输入价格');
        return false
    }
    if(Number(jsonObj.price)<3000 || Number(jsonObj.price)>8000){
        mui.toast('输入价格有误');
        return false
    }
    if(!(/^[0-9]*$/.test(jsonObj.price))){
        mui.toast('输入价格有误');
        return false
    }
    if(jsonObj.contacts==''){
        mui.toast('请输入联系人');
        return false
    }
    if(jsonObj.contactNumber==''){
        mui.toast('请输入电话');
        return false
    }
    if(!(/^1[34578]\d{9}$/.test(jsonObj.contactNumber))){
        mui.toast('请输入正确电话');
        return false;
    }
    if(vm.myData.status){
    	releasePurchase(jsonObj);
    	return false
    }
    if(!vm.isTrue){
        mui.toast('修改内容后才能重新发布!');
        return false
    }
  releasePurchase(jsonObj);
});


window.addEventListener('send',function(e){
    vm.province =e.detail.province;
    vm.city =e.detail.city;
    jsonObj.city = vm.city;
    jsonObj.province = vm.province;
    vm.provinceCity = vm.province+vm.city;
    console.log(vm.provinceCity)
});


   //解决软键盘遮挡输入框
$('input').on('focus',function(event){      
   //自动反弹 输入法高度自适应
    var target = this;
    setTimeout(function(){
        target.scrollIntoViewIfNeeded();
    },400);
});
$('textarea').on('focus',function(event){      
   //自动反弹 输入法高度自适应
    var target = this;
    setTimeout(function(){
        target.scrollIntoViewIfNeeded();
    },400);
});

mui.plusReady(function () {
	  if(mui.os.ios){
            vm.isIos = 50
        }else {
            vm.isIos = 100
        }
    document.getElementById('title').innerHTML = plus.webview.currentWebview().pathName;
    var listId = plus.webview.currentWebview().listId;
    vm.sta = plus.webview.currentWebview().sta;
    console.log('listId...'+listId);
    console.log('sta...'+vm.sta);
    if(vm.sta==10){
        getDetails(2,listId)
    }else if(vm.sta==20){
        getDetails(1,listId)
    }
    if(vm.sta==10){
        jsonObj.type = 2;
    }else if(vm.sta==20){
        jsonObj.type = 1;
    }
    
    
     plus.webview.currentWebview().setStyle({
		 	softinputMode: "adjustResize" // 弹出软键盘时自动改变webview的高度
		 }); 


});

//})(mui);
