/** 
 * 保存更新日志
 */
var up_journal = function () {
	http.post(JOURNAL_URL+"/jplat-dcms-client/appDownLoadData/saveCount",{
		headers:{'Content-Type': 'application/json'},
		sysVersion: plus.os.name + plus.os.version,          //设备系统类型
		sysName: appCode,    				//app名称
		userName: getState().userName || '',			//用户名称
	},10000,function ( data ) {
		console.log("更新日志成功！");
	},function( xhr, type, hrow) {
		console.log("更新日志失败:"+xhr.status);
		error_code_handle(xhr, type, hrow);
	});
}

/**
 * 下载资源包||整包 
 * */
function downWgt(wgtUrl){ 
	plus.nativeUI.showWaiting("正在下载文件...",{back: "none"});
		plus.downloader.createDownload(JOURNAL_URL + wgtUrl, {filename:"_doc/update/"}, function(d,status){
			if ( status == 200 ) { 
				up_journal();
			    installWgt(d.filename); // 安装wgt包
			} else {
			    plus.nativeUI.alert("下载包失败！");
			}
			    plus.nativeUI.closeWaiting();
		}).start();
	}
		
/**
 * 安装
 * */
function installWgt(path){
	plus.nativeUI.showWaiting("正在安装...",{back: "none"});
	plus.runtime.install(path,{},function(){
		var state = getState();
		delete state.lauchFlag;
		setState(state);
		plus.nativeUI.closeWaiting();
		     plus.nativeUI.alert("完成！",function(){
		     plus.runtime.restart();
		});
	},function(e){
		plus.nativeUI.closeWaiting();
	     plus.nativeUI.alert("安装文件失败["+e.code+"]："+e.message);
	});
}


window.updates = function () {
	var arg,vs,appKey,callBack;
	
	function deleteObj () {
		arg = null;
		vs = null;
		appKey = null;
		callBack = null;
	}
	
	return {
		/** 
		 * 少量更新依次下载安装
		 */
		fewDown: function () {
			var arr = this;
			var i = 0,len = arr.length;
			var ws = plus.nativeUI.showWaiting("升级中...");
			
			console.log("数组："+JSON.stringify(arr))
			function downs () {
				if (i<len) {
					//下载
					if (arr[i].url.slice(-4) == 'wgtu') {
						plus.downloader.createDownload(JOURNAL_URL+arr[i].url, {method:"GET"}, function(d,status){
							if ( status == 200 ) {
								//安装
								up_journal();
							    plus.runtime.install(d.filename,{},function(){
							    	i++;
							    	mui.later(function(){
							    		downs();
							    	},500)
								},function(e){
									plus.nativeUI.toast("安装文件失败["+e.code+"]："+e.message);
									i++;
									mui.later(function(){
							    		downs();
							    	},500)
								});
							} else {
								plus.nativeUI.toast("下载更新资源失败！");
								i++;
								mui.later(function(){
						    		downs();
						    	},500)
							}
						}).start();
					}else {
						i++;
						return downs();
					}
					
				}else {
					plus.nativeUI.closeWaiting();
					var fn = callBack;
					deleteObj();
					plus.nativeUI.toast("升级完成");
					
					if (fn) {return fn(arr)};
					return plus.runtime.restart();
				}
			}
			downs();
		},
		/** 
		 * 少量更新检查
		 */
		few: function () {
			
			mui.ajax(JOURNAL_URL +'/jplat-dcms-client/appVersion/getDiffList',{
				headers: {'Content-Type': 'application/json'},
				data:{
					appVersion: vs,
					appKey: appKey 
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				success:function(data){
					console.log("少量更新："+JSON.stringify(data));
					if (data.data) {
						updates.fewDown.call(data.data);
					}else {
						return deleteObj();
					}
				},
				error:function(xhr,type,errorThrown){
					deleteObj();
					console.log("失败："+xhr.status);
				}
			});
			
		},
		/** 
		 * 整包升级
		 */
		full: function () {
			mui.getJSON( JOURNAL_URL +'/jplat-dcms-client/appVersion/getLast', {
				version: vs,
				appKey: appKey 
			}, function(data) {
				if (data.success) {
					if (data.data) {
						var vs1 = parseInt(data.data.appVersion.replace(/\./g,""));
						var vs2 = parseInt(vs.replace(/\./g,""));
						if (vs1 > vs2) {   //有更新包
							var fn = callBack;
							var fType = data.data.url.slice(-3);
							
							deleteObj();
							
							if (mui.os.ios && fType == 'apk') {
								plus.runtime.openURL(data.data.iosUrl);
							}else {
								if (fn) {return fn(data);}
								
								plus.nativeUI.confirm(data.data.remark || "暂无日志", function(event) {
									if (0 == event.index) {
										downWgt(data.data.url );
									}
								}, data.data.name, ["立　　即", "取　　消"]);
							}
						}else {
							updates.few();
						}
					}else {
						updates.few();
					}
				}
			}); 
			
		},
		check: function () {
			console.log(arg)
			arg = arguments;
			
			for(var i in arg) {
				switch (typeof arg[i]){
					case 'string':
						appKey = arg[i];
						break;
					case 'function':
						callBack = arg[i];
						break;
					default:
						break;
				}
			}
			
			plus.runtime.getProperty(plus.runtime.appid,function(v){    //获取当前app版本
				plus.storage.setItem("version",v.version);
				vs = v.version
				return updates.full();
			});
		}
	}
}()

