/**
 * Created by XIAOKANG on 2017/12/22.
 */
(function($){
    vm = new Vue({
        el: '.mui-content', 
        data: {
        	typeSat:false,
            personType:1,
            gender:'男',
            phoneNum:'',
            passwordNum:'',//密码
            passwordNumDo:'',//确认密码
        },
        methods:{
            //call: function () {
            //    changP(4);
            //},
            changeAgreement:function(){//跳转积微指数用户注册协议
                changePage('agreement.html','积微指数用户注册协议',{})
            },
            changeCheck:function(){
                vm.typeSat = !vm.typeSat;
            },
            changePerson:function(val){//改变性别
                vm.personType = val;
                if(vm.personType==1){
                    vm.gender = '男'
                }else if(vm.personType==2){
                    vm.gender = '女'
                }
            },
            getPasswordNum:function(){//获取密码
                console.log('获取密码'+vm.passwordNum);
            },
            getPasswordNumDo:function(){//获取确认密码
                console.log('获取确认密码'+vm.passwordNumDo);
            }

        }
    });


    //完善信息接口
    var perfectInfo = function (cellphone,password,gender,cellphoneSecret) {
        http.post ( BASE_URL +'/person/chatDoFinish/'+getState().token,{
            cellphone: cellphone,
            password: password,
            gender: gender,
            cellphoneSecret:cellphoneSecret
        },function (data) {
        	console.log('完善信息接口::'+JSON.stringify(data));
            if(data.code==200){
                console.log('完善信息接口::'+JSON.stringify(data));
                //changP(4);
                var state = getState();
                state.nickName = data.result.cellphone;
                state.isItPerfect = 50;
                setState(state);
                mui.fire(plus.webview.getWebviewById('/templates/user/user.html'),'send',{types:10,sta:10,img:data.result.avatar,cellphone:data.result.cellphone,gender:data.result.gender,supplySum:data.result.supplySum,saleSum:data.result.saleSum});
                plus.webview.currentWebview().opener().close(0,0)
                mui.later(function(){
                	mui.back()
                },500)
                
            }
            else{
                mui.toast(data.result)
            }
        },10000);

    };




    //提交注册
    document.getElementById("loginBtn").addEventListener('tap', function(){

        if(vm.passwordNum =='' || vm.passwordNum==null){
            mui.toast('密码不能为空');
            return false;
        }
        if(vm.passwordNumDo ==''  ||vm.passwordNumDo==null){
            mui.toast('确认密码不能为空');
            return false;
        }
        if(vm.passwordNum.length<6 || vm.passwordNum.length>12){
        	
            mui.toast('请输入6—12位数字或者字母');
        	return false;
        }
        if(!(/^[A-Za-z0-9]+$/.test(vm.passwordNum))){
    		mui.toast('请输入6—12位数字或者字母');
        	return false;
    	}
        if(vm.passwordNumDo.length<6 || vm.passwordNumDo.length>12){
           	mui.toast('请输入6—12位数字或者字母');
        	return false;
        }
        if(!(/^[A-Za-z0-9]+$/.test(vm.passwordNumDo))){
    		mui.toast('请输入6—12位数字或者字母');
        	return false;
    	}
        if(vm.passwordNum != vm.passwordNumDo){
            mui.toast('您两次输入的密码不一致');
            return false;
        }
        if(!vm.typeSat){
            mui.toast('请阅读并同意"积微指数用户注册协议"');
            return false;
        }
      
        var txt = vm.phoneNum
        var t =  hex_md5(txt)
        console.log(vm.phoneNum)
        console.log(vm.passwordNum)
         console.log(vm.gender)
        console.log(t)
        perfectInfo(vm.phoneNum,vm.passwordNum,vm.gender,t)

    });
    
	window.addEventListener("sendIstrue",function(e){

        vm.typeSat = e.detail.sendIstrue;

    });

    $.plusReady(function () {
    	
    	vm.phoneNum = plus.webview.currentWebview().cellphone;
    	


    });

})(mui);
