/**
 * Created by XIAOKANG on 2017/11/27.
 */
(function(){

    var vm = new Vue({
        el:'.mui-content',
        data:{
            cellphone:'',//注册的手机号
            gender:'',//注册的性别
            myName:'',//改了之后的姓名
            myGender:'',//改了之后的性别
            myCompany:'',//改了之后的公司名
            nameType:10,//改了之后的姓名的状态
            personName:'',
            company:'',
            avatar:'',
            indexs:''
        },
        methods:{
            changeName:function(){
                changePage('changeInfo.html','修改姓名',{states:20})
            },
            changeGender:function(){
                changePage('changeSex.html','修改姓别',{gender: vm.gender})
            },
            changeCompany:function(){
                changePage('changeInfo.html','修改公司名',{states:60})
            },
            AlreadyChangeName:function(){//姓名已修改的提示

                mui.toast('姓名一旦设置无法被修改')

            }

        }
    });

    //根据token获取个人信息接口
    var getInfo = function (token) {
        http.post ( BASE_URL +'/userLogin/getUserByToken',{
            token: token
        },10000,function (data) {
            console.log('根据token获取个人信息接口::'+JSON.stringify(data));
            if(data.code==200){
        		vm.personName = data.result.personName;
        		vm.gender =  data.result.gender;
        		vm.company = data.result.company;        	
        		vm.avatar =  data.result.avatar;       		
        		vm.cellphone = data.result.cellphone;
            }else if(data.code==401){
            	 mui.toast(data.result)
            }else if(data.code==404 || data.code==500){
            	 mui.toast('系统繁忙，请稍后再试')
            }else{
            	 mui.toast('服务器繁忙')
            }
     

        },function(xhr,type,thr) {
        	mui.toast('请求超时')
        });

    };
    
        //监听手机号登录成功事件
    window.addEventListener('userInfo',function(event){
        vm.cellphone = event.detail.cellphone;//电话号码
        vm.gender = event.detail.gender;//性别
        vm.personName = event.detail.personName;//姓名
        vm.company = event.detail.company;//公司名
        vm.avatar = event.detail.avatar;//头像图片

        console.log('vm.cellphone..'+vm.cellphone);
        console.log('vm.gender..'+vm.gender);
        console.log('vm.company..'+vm.company);



    });

    //监听修改姓名事件
      window.addEventListener('sendName',function(event){//修改的
		vm.nameType = event.detail.nameType;
        vm.myName = event.detail.myName;
        vm.personName = vm.myName;
    });
    //监听修改公司事件
      window.addEventListener('sendCompany',function(event){//修改的
//		vm.nameType = event.detail.nameType;
        vm.myCompany = event.detail.myCompany;
        vm.company = vm.myCompany;
        
    });
    //监听修改性别事件
      window.addEventListener('sendSex',function(event){//修改的
//		vm.nameType = event.detail.nameType;
        vm.myGender = event.detail.myGender;
        vm.gender =  vm.myGender;
        
    });

    //上传头像
    document.getElementById('userImg').addEventListener('tap',function(){
        if(mui.os.plus){
            var a=[{
                title:'拍照'
            },{
                title:'从手机相册选择'
            }];
            plus.nativeUI.actionSheet({
                title:'修改头像',
                cancel:'取消',
                buttons:a
            },function(b){
//          	console.log('b.index:'+b.index)
            	vm.indexs = b.index
                switch(b.index){
                    case 0:
                        break;
                    case 1:
//拍照
                        getImages();
                        break;
                    case 2:
//打开相册
                        galleryImages();
                        break;
                    default:
                        break;
                }
            },false);
        }
    });

//拍照
    function getImages(){
        var mobileCamera=plus.camera.getCamera();
        mobileCamera.captureImage(function(e){
            plus.io.resolveLocalFileSystemURL(e,function(entry){
//          	alert('拍照')
//              var path=entry.toLocalURL()+'?version='+new Date().getTime();
                var path=entry.toLocalURL();
                getBase64Image(path);//转Base64
            },function(err){
                console.log("读取拍照文件错误");
            });
        },function(e){
            console.log("er",err);
        },function(){
            filename:'_doc/head.png';
        });
    }

//从本地相册选择
    function galleryImages(){
        console.log("你选择了从相册选择");
        plus.gallery.pick(function(a){
            plus.io.resolveLocalFileSystemURL(a,function(entry){
//          	alert('相册')
            	getBase64Image(entry.toLocalURL());//转Base64
            });
        },function(err){
            console.log("读取拍照文件失败: ",err);
        },{
            filter:'image'
        });
    };

//上传图片
	var wa = null;
    function uploadHeadImg(imgPath){
    	wa = plus.nativeUI.showWaiting("上传中");
        http.post ( BASE_URL +'/person/saveUser/'+getState().token,{
            avatar: imgPath, 
            personName: '',
            company: '', 
            gender: ''
        },80000,function (data) {
        	wa.close();
        	console.log('修改个人信息图片的接口::'+JSON.stringify(data));
//      	alert('进入接口')
            if(data.code==200){
                console.log('修改个人信息图片进入200::'+JSON.stringify(data));
                console.log('data.result.avatar...:'+data.result.avatar)
                vm.avatar = data.result.avatar;
                mui.fire(plus.webview.currentWebview().opener(),'sendImg',{avatar:vm.avatar});
                plus.nativeUI.toast('上传成功',{verticalAlign:"center"})
            }
            else if(data.code==401){
            	 mui.toast(data.result)
            }else if(data.code==404 || data.code==500){
            	 mui.toast('系统繁忙，请稍后再试')
            }else{
            	 mui.toast('服务器繁忙')
            }
        },function(xhr,type,thr) {
        	wa.close();
        	plus.nativeUI.toast('图片过大,请重新选择图片上传',{verticalAlign:"center"})
        }); 
    }
    ////base64编码
	function getBase64Image(url){
		var images=new Image();
        var dataURL='';
        images.src=url;
        images.onload=function(){ //要先确保图片完整获取到，这是个异步事件  

          var canvas = document.createElement("canvas"), //创建canvas元素
            width=images.width, //确保canvas的尺寸和图片一样
            height=images.height;
        	//计算缩放比例
        	var maxLen = 250 ;//定义max长度为250px
	        var rate = 1;
	        if (width >= height) {//取比率最大为压缩比例
	            if (width > maxLen) {
	                rate = maxLen / width;
	            }
	        } else {
	            if (height > maxLen) {
	                rate = maxLen / height;
	            }
	        };
            canvas.width = width * rate;
	        canvas.height = height * rate;
            canvas.getContext("2d").drawImage(images,0,0,canvas.width,canvas.height); //将图片绘制到canvas中
            var dataURL=canvas.toDataURL('image/jpeg');
            uploadHeadImg(dataURL);//上传图片
		    
        };
    }
    mui.plusReady(function () {//接口得到的
        vm.cellphone = plus.webview.currentWebview().cellphone;
        vm.gender = plus.webview.currentWebview().gender;
        vm.personName = plus.webview.currentWebview().personName;
        vm.company = plus.webview.currentWebview().company;
        vm.avatar = plus.webview.currentWebview().avatar;
//      getInfo(getState().token);
        if(vm.personName=='' || vm.personName==null){
            vm.nameType=10
        }else {
            vm.nameType=50
        } 
    });

})();

 